#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x7126435e, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x6fed5000, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x5e4d6ded, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x70440d5b, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0xa61fc7a2, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x401efe1b, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x07a53e91, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xfd56a4d8, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x6ce49d8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddeb1a29, "free_candev" },
	{ 0xfdd933c1, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xf79e8b8f, "can_get_echo_skb" },
	{ 0x5405c83e, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xaa65a912, "netdev_warn" },
	{ 0xdb65c585, "unregister_candev" },
	{ 0x110708bd, "can_rx_offload_del" },
	{ 0xd91c5e0d, "devm_clk_get" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x89bb9e9c, "__pm_runtime_resume" },
	{ 0x9985b005, "__pm_runtime_idle" },
	{ 0x914d0fa3, "pinctrl_pm_select_default_state" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xa1008e1c, "netif_device_attach" },
	{ 0x4f82cb63, "register_candev" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbcd0b402, "can_rx_offload_add_manual" },
	{ 0xfe1af612, "netif_napi_add_weight" },
	{ 0xec35de33, "phy_power_on" },
	{ 0xb432bf63, "open_candev" },
	{ 0xbf20eb34, "can_rx_offload_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe0d6121f, "napi_disable" },
	{ 0x91a474d2, "close_candev" },
	{ 0x85293c93, "phy_power_off" },
	{ 0x61c055be, "napi_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x452a3352, "netdev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8822699a, "netif_tx_wake_queue" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x392115c, "pinctrl_pm_select_sleep_state" },
	{ 0xe96b492a, "netif_device_detach" },
	{ 0x29cd4876, "alloc_can_err_skb" },
	{ 0x5bb86ac9, "can_rx_offload_queue_timestamp" },
	{ 0x8d3bedc4, "netif_receive_skb" },
	{ 0x697efa95, "__dynamic_netdev_dbg" },
	{ 0x36afb38b, "can_bus_off" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x5e171e09, "can_put_echo_skb" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0xe2f87dc3, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9304eb05, "netdev_printk" },
	{ 0x6c50ef25, "alloc_canfd_skb" },
	{ 0xdef89133, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xf705ad12, "napi_complete_done" },
	{ 0x8a5ad3e1, "napi_schedule_prep" },
	{ 0xebaaec48, "__napi_schedule" },
	{ 0x5e3677a6, "can_rx_offload_threaded_irq_finish" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xeedd6b7, "ethtool_op_get_ts_info" },
	{ 0x8643cc1e, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x907b066b, "__dev_fwnode" },
	{ 0xef116cf5, "fwnode_property_read_u32_array" },
	{ 0xd2f6346b, "alloc_candev_mqs" },
	{ 0x5dd0eb8d, "__dynamic_dev_dbg" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "3112BCAE1BD65D929C6D7E4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
