#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf179811, "netif_rx" },
	{ 0x36afb38b, "can_bus_off" },
	{ 0x11638c9a, "usb_unanchor_urb" },
	{ 0x697efa95, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbd55941f, "driver_for_each_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29cd4876, "alloc_can_err_skb" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x4f82cb63, "register_candev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xb4ccc6fd, "netdev_info" },
	{ 0x843c9db2, "usb_alloc_urb" },
	{ 0x737e9cf8, "usb_anchor_urb" },
	{ 0xde213f69, "usb_free_urb" },
	{ 0x5405c83e, "can_free_echo_skb" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e171e09, "can_put_echo_skb" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xf79e8b8f, "can_get_echo_skb" },
	{ 0x6c50ef25, "alloc_canfd_skb" },
	{ 0x2376a635, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xaa65a912, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb432bf63, "open_candev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x452a3352, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x52a2b54, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdef89133, "alloc_can_skb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0xe96b492a, "netif_device_detach" },
	{ 0xdb65c585, "unregister_candev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdd882ee6, "usb_submit_urb" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0xe17b5e1f, "can_change_state" },
	{ 0x8643cc1e, "can_change_mtu" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe2f87dc3, "can_dropped_invalid_skb" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0xddeb1a29, "free_candev" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd2f6346b, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0x9304eb05, "netdev_printk" },
	{ 0x5ba0e514, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x244edd51, "usb_deregister" },
	{ 0x8822699a, "netif_tx_wake_queue" },
	{ 0x91a474d2, "close_candev" },
	{ 0xfb578fc5, "memset" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "4F524A631EA275EE9F2EF2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
