#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_phylink_mac_config, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_down, "", "");
KSYMTAB_FUNC(b53_phylink_mac_link_up, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_enable_set, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0xef8e3f34, "");
SYMBOL_CRC(b53_enable_port, 0x01979d71, "");
SYMBOL_CRC(b53_disable_port, 0xe0315676, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x2f95ecf8, "");
SYMBOL_CRC(b53_configure_vlan, 0xda8cc86f, "");
SYMBOL_CRC(b53_get_strings, 0xdfdafb43, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x496b04b8, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x76f5f140, "");
SYMBOL_CRC(b53_get_sset_count, 0x40d6fa5a, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0xc9ae6569, "");
SYMBOL_CRC(b53_port_event, 0xb2721076, "");
SYMBOL_CRC(b53_phylink_mac_config, 0x6988d190, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0x7488fa9c, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0xa084d0b2, "");
SYMBOL_CRC(b53_vlan_filtering, 0x4dc6bb82, "");
SYMBOL_CRC(b53_vlan_add, 0xd778ae56, "");
SYMBOL_CRC(b53_vlan_del, 0x3d234547, "");
SYMBOL_CRC(b53_fdb_add, 0x0d5e24f7, "");
SYMBOL_CRC(b53_fdb_del, 0x08743f31, "");
SYMBOL_CRC(b53_fdb_dump, 0x6ef6836c, "");
SYMBOL_CRC(b53_mdb_add, 0x2201da90, "");
SYMBOL_CRC(b53_mdb_del, 0x43bb29e3, "");
SYMBOL_CRC(b53_br_join, 0xb35b5fad, "");
SYMBOL_CRC(b53_br_leave, 0x3fef1c2a, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x69cd47a3, "");
SYMBOL_CRC(b53_br_fast_age, 0x3192050d, "");
SYMBOL_CRC(b53_br_flags_pre, 0xf081a909, "");
SYMBOL_CRC(b53_br_flags, 0x08795b94, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x5656c17b, "");
SYMBOL_CRC(b53_mirror_add, 0xf7484eb3, "");
SYMBOL_CRC(b53_mirror_del, 0x84c2eadc, "");
SYMBOL_CRC(b53_eee_enable_set, 0x4db2b7bf, "");
SYMBOL_CRC(b53_eee_init, 0xf2d9adb8, "");
SYMBOL_CRC(b53_get_mac_eee, 0x6124422d, "");
SYMBOL_CRC(b53_set_mac_eee, 0x83815310, "");
SYMBOL_CRC(b53_switch_alloc, 0x50abad9f, "");
SYMBOL_CRC(b53_switch_detect, 0x5ff1d8b2, "");
SYMBOL_CRC(b53_switch_register, 0xf046dc90, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86108911, "dsa_devlink_resources_unregister" },
	{ 0xfc10b8e4, "dsa_devlink_resource_register" },
	{ 0x687bc83a, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa77aba7e, "mdiobus_get_phy" },
	{ 0xaae63707, "phy_ethtool_get_stats" },
	{ 0x7a1c39ea, "phy_ethtool_get_sset_count" },
	{ 0xdd64e639, "strscpy" },
	{ 0x19e4039c, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7e6680a3, "dsa_port_phylink_mac_change" },
	{ 0x71619e2b, "phy_init_eee" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x5dd0eb8d, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0xf006784b, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x85acd670, "gpio_to_desc" },
	{ 0x363ddc6a, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "D84EB9147EDC926D7F87BD7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
