#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_lock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_set_basic, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0x19c6382c, "");
SYMBOL_CRC(ocelot_mact_forget, 0x9901feb1, "");
SYMBOL_CRC(ocelot_mact_lookup, 0x7f88940e, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xcc525b44, "");
SYMBOL_CRC(ocelot_pll5_init, 0x23a2fa95, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x116efe71, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x5a3ff93b, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0xdfff73c3, "");
SYMBOL_CRC(ocelot_vlan_add, 0x320ca3d3, "");
SYMBOL_CRC(ocelot_vlan_del, 0xe46339bf, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0x09b4a0d9, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0xa9ccef04, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0x5a1ff9c9, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x7874753e, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0x6ba67f0c, "");
SYMBOL_CRC(ocelot_lock_inj_grp, 0xe28467e8, "_gpl");
SYMBOL_CRC(ocelot_unlock_inj_grp, 0x25f1bbf3, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp, 0x6487dba7, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp, 0xa3f207bc, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp_bh, 0x680c7cb0, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp_bh, 0x759d3f46, "_gpl");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x2195a5e1, "");
SYMBOL_CRC(ocelot_can_inject, 0x6bbc3fce, "");
SYMBOL_CRC(ocelot_ifh_set_basic, 0x0ed8c8c4, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x7584dff0, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xd862a0f8, "");
SYMBOL_CRC(ocelot_fdb_add, 0xc03e296e, "");
SYMBOL_CRC(ocelot_fdb_del, 0x03bbef26, "");
SYMBOL_CRC(ocelot_mact_flush, 0xed2a1f2d, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xd48ddb77, "");
SYMBOL_CRC(ocelot_bond_get_id, 0x94d8a5c2, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x06be8f34, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0xc10e16e5, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0x0e58a13a, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0xd25532dc, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0xa1fa001e, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0xede83f64, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0xc247557c, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x0d38ad47, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xfbf7a665, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x5b69955b, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0xbb4e2aa2, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x84d84c8c, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0xe91dacd0, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0xe26c4b23, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x60ac5f26, "");
SYMBOL_CRC(ocelot_port_lag_change, 0xdad1f440, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x48850fc6, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x149360ba, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xa0a6f378, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x44c030af, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0xc8be32a6, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0xec861dac, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x7f7896d0, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x70d2f403, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xf2c71d6c, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x29550e5b, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0xd8ec8d1c, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0x203870d9, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0xb185f8fa, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0xbb862848, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0x2aaa7b23, "");
SYMBOL_CRC(ocelot_reset, 0xaf8d2566, "");
SYMBOL_CRC(ocelot_init, 0x215bf666, "");
SYMBOL_CRC(ocelot_deinit, 0xa80c16fc, "");
SYMBOL_CRC(ocelot_deinit_port, 0x33164d32, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x0df98d2a, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0xfb7cac3b, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xdb20da47, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x91de0b76, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x2abea56b, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x7e5182e6, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x333bd046, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xefc557d2, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0xf3e2e775, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x789acf88, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0xd9e777a6, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x5c60e780, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x71e3b795, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0x5521d14f, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0xa33cfc12, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0xfc94aea2, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x7a130c4b, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x8bc1b02d, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x5f3ab0e4, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x4a928ae4, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x79e4bfb9, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x007e060a, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0x0731735b, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x02a451ae, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x85edf70c, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0xf11df522, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x5a9c82a7, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x2c81992b, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x952f0b76, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x2fc847b1, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x6543db56, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0xb0a0343c, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x2372a866, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x5897ae00, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x152bd207, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x7af7f15c, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x476411c5, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x70e03ab1, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x21c3d142, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0xa3cdac4f, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0x19dd8f32, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x86b6c1aa, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x6c90288a, "");
SYMBOL_CRC(ocelot_get_strings, 0x5d4f7e03, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xde299954, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0xffce2a58, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xb7899e2c, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x5ac5dd24, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x02921b12, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0xdaca9f4e, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x8a143e45, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x87cf82fe, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x024fbaf8, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x788a5774, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x6be8b5fe, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x4048f334, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0xa71b863b, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0xdf37f1db, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x9552ec9b, "");
SYMBOL_CRC(ocelot_mrp_del, 0x7d47d66f, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x04b3d949, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x439e91e9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3fbed2f2, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xedd62e8, "flow_rule_match_ipv4_addrs" },
	{ 0x5d0e25ac, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5dd0eb8d, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x452a3352, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab3d9142, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x793c1177, "skb_queue_purge_reason" },
	{ 0x189cca19, "ptp_find_pin" },
	{ 0x1990918a, "eth_type_trans" },
	{ 0x78cce385, "ethtool_aggregate_pause_stats" },
	{ 0x7d33823d, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4e12ad0, "regmap_fields_read" },
	{ 0x729dc8fe, "skb_queue_tail" },
	{ 0xcf9f026f, "regmap_field_read" },
	{ 0x63950b8b, "devm_regmap_field_alloc" },
	{ 0x88b2c8ba, "ptp_classify_raw" },
	{ 0x8f63e9f, "flow_rule_match_basic" },
	{ 0x9c5e7d5, "__dev_get_by_index" },
	{ 0x9609f566, "devm_kfree" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x63101fbd, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4391cb37, "netif_set_real_num_tx_queues" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0x98354cf8, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x6b7cff29, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0x7974c1f1, "flow_rule_match_ports" },
	{ 0xfae8e82b, "__devm_regmap_init_mmio_clk" },
	{ 0x679f015a, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6323f9ff, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcfe4c754, "ptp_clock_unregister" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0x32e29cb8, "of_phy_get" },
	{ 0x525249d6, "br_vlan_get_pvid_rcu" },
	{ 0x3d2ff58a, "phy_set_mode_ext" },
	{ 0xa09a266, "netdev_reset_tc" },
	{ 0x1cfe4353, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x436d9e1b, "devm_ioremap_resource" },
	{ 0xbdee5719, "ethtool_aggregate_rmon_stats" },
	{ 0x20c39b1b, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaf2d5270, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x614022fc, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3a0e8ab9, "netdev_set_num_tc" },
	{ 0x63ff3de3, "regmap_update_bits_base" },
	{ 0x16e297b6, "dev_err_probe" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0x239a522b, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd71e5313, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x3f7278b6, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7cfd8b4b, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x8ca54680, "skb_put" },
	{ 0xf21d5f74, "skb_tstamp_tx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbcf776c0, "of_phy_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x19e38e19, "skb_clone_sk" },
	{ 0x16e947e3, "br_vlan_get_proto" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x5dfe012f, "regmap_fields_update_bits_base" },
	{ 0x1d6bdf00, "flow_rule_match_eth_addrs" },
	{ 0xafe65933, "ptp_clock_index" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "D4D0062F77CF93D94C495CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
