#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x138b0d23, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa86d6aa9, "phy_restore_page" },
	{ 0xd0cf0fef, "phy_write_paged" },
	{ 0xb5ebca67, "mdiobus_read" },
	{ 0xf3fe156d, "phy_modify" },
	{ 0x276c2c06, "genphy_soft_reset" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa10c73dc, "ethnl_cable_test_pulse" },
	{ 0xa79a5506, "ethnl_cable_test_step" },
	{ 0xbe24483d, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x3b6e5ba5, "phy_save_page" },
	{ 0x80e59cc9, "phy_trigger_machine" },
	{ 0xca48282d, "phy_error" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdd003891, "devm_hwmon_device_register_with_info" },
	{ 0x846b707b, "phy_drivers_unregister" },
	{ 0x6f2d1162, "mdiobus_write" },
	{ 0x3761e957, "genphy_c45_ethtool_get_eee" },
	{ 0xa4355dbf, "phy_config_aneg" },
	{ 0xddee33ad, "phy_sfp_probe" },
	{ 0xb2a761b7, "genphy_read_lpa" },
	{ 0x23405b2c, "phy_resolve_aneg_pause" },
	{ 0xb0b860f8, "genphy_update_link" },
	{ 0xc6d49e04, "genphy_read_status_fixed" },
	{ 0x226888a1, "genphy_resume" },
	{ 0x789f26cd, "genphy_suspend" },
	{ 0xdd64e639, "strscpy" },
	{ 0x745f838e, "phy_modify_changed" },
	{ 0x821b9a71, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xef8d5087, "genphy_check_and_restart_aneg" },
	{ 0xa44606c4, "genphy_setup_forced" },
	{ 0x9407637e, "phy_modify_paged_changed" },
	{ 0x12604b64, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xa71887, "ethnl_cable_test_result" },
	{ 0xce9d8cf2, "ethnl_cable_test_fault_length" },
	{ 0x5fe9c3df, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x421467c, "phy_drivers_register" },
	{ 0x458a61f9, "phy_read_paged" },
	{ 0xf87cfb9f, "phy_modify_paged" },
	{ 0x2b092585, "__mdiobus_read" },
	{ 0x8795cc85, "phy_select_page" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "76C4623A56A7D0794467A7F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
