#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x4c99ba2a, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xe7788d82, "");
SYMBOL_CRC(team_options_register, 0x74c4d6b2, "");
SYMBOL_CRC(team_options_unregister, 0xf7424d18, "");
SYMBOL_CRC(team_option_inst_set_change, 0x21f50918, "");
SYMBOL_CRC(team_options_change_check, 0x6e86f4ef, "");
SYMBOL_CRC(team_mode_register, 0x5643a40e, "");
SYMBOL_CRC(team_mode_unregister, 0xe83a35e1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0xb4ccc6fd, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x754d539c, "strlen" },
	{ 0x1fb9b749, "__nlmsg_put" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xaa65a912, "netdev_warn" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x10e2b115, "__ethtool_get_link_ksettings" },
	{ 0xc5defa30, "netdev_upper_dev_unlink" },
	{ 0x49d65d7, "netdev_rx_handler_unregister" },
	{ 0x64921e7, "vlan_vids_del_by_dev" },
	{ 0x71350574, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc95105c5, "netdev_change_features" },
	{ 0xff711301, "netdev_has_upper_dev" },
	{ 0xa3138b81, "dev_uc_flush" },
	{ 0xe7f1f259, "dev_mc_flush" },
	{ 0xd397881d, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4ec8d06e, "dev_open" },
	{ 0xfbdc7de3, "vlan_vids_add_by_dev" },
	{ 0x29c24a25, "netdev_rx_handler_register" },
	{ 0xf56e04eb, "netdev_master_upper_dev_link" },
	{ 0x2e4f752a, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf1cd0f20, "ethtool_op_get_link" },
	{ 0xe7a4d90f, "passthru_features_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa1bcdd6b, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x949a4768, "netlink_unicast" },
	{ 0x3b27d773, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfa2e795b, "netif_carrier_on" },
	{ 0x2ef0f239, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x302d3711, "dev_set_allmulti" },
	{ 0x8d14822c, "dev_set_promiscuity" },
	{ 0xd914f1c1, "dev_uc_unsync" },
	{ 0x5d8719c6, "dev_mc_unsync" },
	{ 0x62a8f8d7, "dev_set_mtu" },
	{ 0x452a3352, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x697efa95, "__dynamic_netdev_dbg" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0xde20af7b, "dev_uc_sync_multiple" },
	{ 0x150d74b6, "dev_mc_sync_multiple" },
	{ 0xa75062ec, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2084f8c, "vlan_vid_del" },
	{ 0xd15bd29f, "vlan_vid_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x21d8c3f8, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x168b4103, "__alloc_skb" },
	{ 0xe8f23d60, "genlmsg_put" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0xd8c996fd, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c7df476, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9850e739, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xde8c5b9b, "genl_register_family" },
	{ 0x4141e910, "rtnl_link_unregister" },
	{ 0x67d964f5, "genl_unregister_family" },
	{ 0x5cbd5988, "netlink_broadcast" },
	{ 0xcf1348d9, "skb_clone" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4a8bd400, "__dev_queue_xmit" },
	{ 0x75048009, "pv_ops" },
	{ 0xfe97c2c7, "netpoll_send_skb" },
	{ 0x111052bb, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc00abc1b, "__netpoll_setup" },
	{ 0x73f3a363, "__netpoll_free" },
	{ 0xd5a43273, "nla_put" },
	{ 0xc81c58cd, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xeb2a9454, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
