#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf23657b5, "usbnet_update_max_qlen" },
	{ 0xfcac6f28, "usbnet_suspend" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d4721bc, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2d25a0, "mii_nway_restart" },
	{ 0x18839734, "usbnet_resume" },
	{ 0xf7e575c6, "usbnet_get_endpoints" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xd0b5009f, "netif_set_tso_max_size" },
	{ 0xcba2ae8, "mii_ethtool_gset" },
	{ 0xfa2e795b, "netif_carrier_on" },
	{ 0xa07c6f48, "usbnet_probe" },
	{ 0x628d75d1, "usbnet_open" },
	{ 0x49a2529f, "usbnet_stop" },
	{ 0x526e94c0, "usbnet_start_xmit" },
	{ 0x286f08a1, "eth_validate_addr" },
	{ 0x75deadf3, "usbnet_tx_timeout" },
	{ 0x40efa491, "dev_get_tstats64" },
	{ 0x6d46d996, "usbnet_get_msglevel" },
	{ 0xfe944ac9, "usbnet_set_msglevel" },
	{ 0xe8eaa112, "usbnet_nway_reset" },
	{ 0xf1cd0f20, "ethtool_op_get_link" },
	{ 0xeedd6b7, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb0c7554, "pskb_expand_head" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0x50109f8, "__pskb_pull_tail" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0x1a6bef3d, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x11fab23f, "usbnet_read_cmd" },
	{ 0xaa65a912, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc59bd5a8, "mii_ethtool_set_link_ksettings" },
	{ 0xf829c16f, "mii_ethtool_get_link_ksettings" },
	{ 0xaac8074, "generic_mii_ioctl" },
	{ 0x2376a635, "usb_register_driver" },
	{ 0x1906396e, "usbnet_disconnect" },
	{ 0x244edd51, "usb_deregister" },
	{ 0x9dbacebb, "usbnet_link_change" },
	{ 0xb4ccc6fd, "netdev_info" },
	{ 0x956333af, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc81c58cd, "skb_trim" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0x8ca54680, "skb_put" },
	{ 0x1a99b134, "usbnet_skb_return" },
	{ 0x780e37f3, "skb_pull" },
	{ 0x6be2e43e, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9f45bdb6, "usbnet_write_cmd" },
	{ 0xa75062ec, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x452a3352, "netdev_err" },
	{ 0x697efa95, "__dynamic_netdev_dbg" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "27FBDDB0E5DCFD79B7066BD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
