#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x581831db, "");
SYMBOL_CRC(ath11k_core_resume, 0xa9c2e192, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x88b14807, "");
SYMBOL_CRC(ath11k_core_init, 0xad6290ad, "");
SYMBOL_CRC(ath11k_core_deinit, 0x0c3d3044, "");
SYMBOL_CRC(ath11k_core_free, 0x52a1fd7e, "");
SYMBOL_CRC(ath11k_core_alloc, 0x7043ae2c, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x0b9b23bf, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xb16f3e2a, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x4ca89740, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x1259d4fb, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x374f2839, "");
SYMBOL_CRC(ath11k_info, 0xda901d1d, "");
SYMBOL_CRC(ath11k_err, 0xdb2f0093, "");
SYMBOL_CRC(ath11k_warn, 0xa53aa8f7, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x9b681614, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x2ada95a3, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x57d7bc1b, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0x4e7f945d, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x25888290, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0xd34ed0d7, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x638f8eb6, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xea3f37ec, "");
SYMBOL_CRC(ath11k_pcic_write32, 0xcb76b293, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x1fc745a3, "");
SYMBOL_CRC(ath11k_pcic_read, 0xc3f1b111, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xaed213d7, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x014ff942, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x36689fbe, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xde4d9f51, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xd43f7ddc, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x833139f6, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xd14b9720, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x08c955d7, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x48022bd4, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x35d9838a, "");
SYMBOL_CRC(ath11k_pcic_start, 0x67a25bf7, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xbb1e01b1, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0xa848027e, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x826cd18d, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x445c4764, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9e1c27ee, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4f2fea4e, "qmi_txn_init" },
	{ 0x93e5d8b3, "ieee80211_report_low_ack" },
	{ 0xc0efe9ec, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd376cefa, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc0179d13, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x452b9127, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x77fa827c, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5121497f, "dma_sync_single_for_cpu" },
	{ 0xff8ecf1d, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x87c44e2b, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x78981b15, "ieee80211_beacon_free_ema_list" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x5cb64bca, "ieee80211_ready_on_channel" },
	{ 0x71d4f903, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc81c58cd, "skb_trim" },
	{ 0xb55012ab, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x75048009, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xae4482cc, "ieee80211_vif_to_wdev" },
	{ 0xdd64e639, "strscpy" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0xe017ec4d, "ieee80211_scan_completed" },
	{ 0x68743db0, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xabd6e7ec, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0x483233bc, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x90996d36, "ieee80211_color_change_finish" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a655124, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa3a3638, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x40c31b01, "ieee80211_queue_work" },
	{ 0x8a5ad3e1, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xe0d6121f, "napi_disable" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0xf8bb30b5, "regulatory_set_wiphy_regd" },
	{ 0xa5597f99, "crypto_alloc_shash" },
	{ 0x3cf09a88, "ieee80211_beacon_get_template_ema_list" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe45cc29e, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfe5b091d, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xf6d3914, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6b4f6c73, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5f6ff77d, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x66b6039f, "ieee80211_gtk_rekey_notify" },
	{ 0x65c167db, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x57a1b3f, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc63a59b7, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0xca5e5f3, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8ca54680, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf0a06c67, "firmware_request_nowarn" },
	{ 0x2156ff6d, "qmi_handle_init" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfe1af612, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x36878141, "device_get_mac_address" },
	{ 0x594755e5, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1696cf99, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x93a6a8a3, "ieee80211_free_hw" },
	{ 0x598736d6, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x50aea40b, "ieee80211_iterate_stations_atomic" },
	{ 0x23aef89f, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xcee5c3c8, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5389df40, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x67ab5fa2, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x2087ab01, "thermal_cooling_device_register" },
	{ 0xec68060e, "ieee80211_register_hw" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x2a9d6e05, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8ccd9704, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc2e4f005, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfeab0852, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb0c7554, "pskb_expand_head" },
	{ 0x387d221f, "dev_driver_string" },
	{ 0xdd13d8f8, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa157bb6, "ieee80211_find_sta" },
	{ 0x7f7b7a9a, "dma_map_page_attrs" },
	{ 0x1c0ec6d7, "qmi_send_request" },
	{ 0xf705ad12, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xd65e9231, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd156f4d9, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x970ebeff, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xebaaec48, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x560acb5b, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8dbe80b6, "qmi_txn_wait" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0x729dc8fe, "skb_queue_tail" },
	{ 0xba93be29, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x79ab0c76, "sysfs_create_link" },
	{ 0xc428bd1f, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x448a279b, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x376d4ab7, "ieee80211_queue_delayed_work" },
	{ 0xdc103944, "__skb_get_hash" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0xe1efa14b, "crypto_shash_setkey" },
	{ 0x780e37f3, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb1ced0d3, "qmi_txn_cancel" },
	{ 0xe1d19bf, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x59f45b78, "ieee80211_find_sta_by_ifaddr" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x523c3d42, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x61c055be, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xd7d7768a, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "41B7B7E0B3FE0F94B0AC3E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
