#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0xa8ab7bfc, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x4a579da9, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x1fd3fb7a, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x43ac72f4, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x89426b77, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x3f8becb4, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0xef2056f8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x501be525, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x3ae49992, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0xed33120c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0xce8ab049, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x10d8b752, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x175e6eac, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x34c9e99d, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x8af3dd13, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0xc3a539f4, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x114191fa, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xf857a6f9, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xbca01247, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x063e7370, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x1345856f, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xaffcf849, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x36d666a1, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x10ed378c, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xd63c6710, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xa996dc83, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xdcce3eee, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xe2b3e3ae, "_gpl");
SYMBOL_CRC(mt76_rx, 0x1c165da4, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xfc10be63, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x1b063918, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x97d301e9, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x53cf3673, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x473072cb, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x815ad748, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x3c6d3019, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x56581f47, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xf8303cc7, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x74f0aaa4, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x66bb7f79, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x4f132ab1, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x3c0204a4, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xb6bc73d6, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xb1006cd8, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x1b5d0e7a, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x3c0639ed, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x0c9a7bad, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0xef8c2013, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xe5c3cadf, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xa9c86acc, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xe2d92d8e, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x883592dd, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x59cab2b4, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x8d575ae3, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x6602e151, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xb72dd28f, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x1ac71a33, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xd9c94176, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xd2a383a9, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0x5cdb91e3, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x009dd88f, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x1d7c9efb, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x87c71969, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x2fb7fcb8, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xf47cffbb, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x37133ccd, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x50f2fc80, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x8d88ac10, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x26318cad, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x5a477741, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0xb3e3ff53, "_gpl");
SYMBOL_CRC(mt76_tx, 0x3ae73841, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x13b0dd7a, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x61b5051d, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x8fb51a50, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x744ffaee, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x3edc56c7, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x0926ec8e, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x93d54e00, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xcbc0c65b, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xc0b5c32e, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xbcf82ef3, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xcba22deb, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x9e184ba9, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xd051e3e8, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x56628c00, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0xb6f4e0dd, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x6f6561e0, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xd5b3ba1f, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x0ad5c63a, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xc9e452b9, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x27e27cee, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x2363b877, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x574e3c55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xc5c0bdbe, "page_pool_destroy" },
	{ 0xec68060e, "ieee80211_register_hw" },
	{ 0xf0fe1805, "led_classdev_unregister" },
	{ 0xd3cf9d35, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xfd25cff5, "ieee80211_sta_eosp" },
	{ 0x8ccd9704, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc2e4f005, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x66debcd1, "kthread_park" },
	{ 0xa2837129, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xddbc009c, "wake_up_process" },
	{ 0x387d221f, "dev_driver_string" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f7b7a9a, "dma_map_page_attrs" },
	{ 0xf705ad12, "napi_complete_done" },
	{ 0x505af69c, "ieee80211_get_tx_rates" },
	{ 0x76741e2b, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x3bacb1b, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b6cb962, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x168b4103, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x7d3feeee, "pci_disable_link_state" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0xbf64b9b2, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x729dc8fe, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x563d70bf, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x96937d0d, "debugfs_attr_read" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x376d4ab7, "ieee80211_queue_delayed_work" },
	{ 0x8b318d08, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2372f54d, "perf_trace_run_bpf_submit" },
	{ 0x482841a, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2f0a8d7a, "simple_attr_release" },
	{ 0x650d341e, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x59f45b78, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4b9ffddc, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x88d47544, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0x61c055be, "napi_enable" },
	{ 0xd7d7768a, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0x405b8641, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf17253b6, "kthread_stop" },
	{ 0xc0179d13, "ieee80211_free_txskb" },
	{ 0x3949c43e, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x452b9127, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe97aed1e, "ieee80211_tx_dequeue" },
	{ 0x4112b296, "ieee80211_rx_list" },
	{ 0x5121497f, "dma_sync_single_for_cpu" },
	{ 0xa183064c, "page_pool_create" },
	{ 0xe85bb58d, "page_pool_put_defragged_page" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x94ddf9cb, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5925c4b4, "kthread_create_on_node" },
	{ 0xd1b5b579, "cfg80211_reg_can_beacon" },
	{ 0xc4d4a565, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x68743db0, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x483233bc, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1ddace2f, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd6448c27, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xbbbdf313, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x24088689, "debugfs_create_u8" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfe5b091d, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xf6d3914, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe6446676, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xebe4b68e, "pcie_capability_read_word" },
	{ 0x73a90f05, "__skb_pad" },
	{ 0xa0c22567, "page_pool_get_stats" },
	{ 0x9511bd20, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd7cad99, "__ieee80211_schedule_txq" },
	{ 0x849cc2b9, "debugfs_attr_write" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x8ca54680, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x40414f36, "page_pool_alloc_frag" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfe1af612, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa84bdcc, "dmam_alloc_attrs" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x1696cf99, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x93a6a8a3, "ieee80211_free_hw" },
	{ 0x598736d6, "dma_unmap_page_attrs" },
	{ 0x95a49a44, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb11ca7b0, "dma_sync_single_for_device" },
	{ 0x1f1fb707, "skb_add_rx_frag" },
	{ 0xcee5c3c8, "ieee80211_tx_status_ext" },
	{ 0xf68c1811, "debugfs_create_blob" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "CA042EA8D1A93A4795925C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
