#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4c3193b, "rt2x00usb_disconnect" },
	{ 0xd5f66370, "rt2x00usb_suspend" },
	{ 0xe6528d89, "rt2x00usb_resume" },
	{ 0xe621b6e1, "rt2x00usb_initialize" },
	{ 0x15a70fd6, "rt2x00usb_uninitialize" },
	{ 0x90dab274, "rt2x00usb_clear_entry" },
	{ 0xa6a5684a, "rt2x00usb_watchdog" },
	{ 0xd0db8ac0, "rt2x00usb_kick_queue" },
	{ 0xe5784254, "rt2x00usb_flush_queue" },
	{ 0xe491da8e, "rt2x00mac_tx" },
	{ 0xa483aca0, "rt2x00mac_start" },
	{ 0x591027cf, "rt2x00mac_stop" },
	{ 0x1f629ea8, "rt2x00mac_add_interface" },
	{ 0xc0e3280d, "rt2x00mac_remove_interface" },
	{ 0x6022df12, "rt2x00mac_config" },
	{ 0x3f258f1b, "rt2x00mac_bss_info_changed" },
	{ 0xe262a827, "rt2x00mac_configure_filter" },
	{ 0x8311f440, "rt2x00mac_set_tim" },
	{ 0x1b41efd7, "rt2x00mac_set_key" },
	{ 0x4bfe5393, "rt2x00mac_sw_scan_start" },
	{ 0x1bf8a4c6, "rt2x00mac_sw_scan_complete" },
	{ 0xfc0b0063, "rt2x00mac_get_stats" },
	{ 0x54e58b5c, "rt2x00mac_conf_tx" },
	{ 0x865cef7, "rt2x00mac_rfkill_poll" },
	{ 0xea2ffec9, "rt2x00mac_flush" },
	{ 0xba3d0295, "rt2x00mac_set_antenna" },
	{ 0x47e397cb, "rt2x00mac_get_antenna" },
	{ 0xefd93edf, "rt2x00mac_get_ringparam" },
	{ 0xf8c57066, "rt2x00mac_tx_frames_pending" },
	{ 0xd65e9231, "ieee80211_handle_wake_tx_queue" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2376a635, "usb_register_driver" },
	{ 0x78a9ca3, "rt2x00usb_probe" },
	{ 0xc81c58cd, "skb_trim" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xdd882ee6, "usb_submit_urb" },
	{ 0x244edd51, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb31ea475, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3cb12342, "rt2x00usb_vendor_request_buff" },
	{ 0x774a95be, "rt2x00usb_vendor_request" },
	{ 0x6bb06f7, "rt2x00lib_set_mac_address" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5dd0eb8d, "__dynamic_dev_dbg" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf25c894d, "rt2x00usb_disable_radio" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7CD7D2E1961ECC73FCD3A8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
