#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x721e0b3a, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0xe1e6fffc, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x21b4d51b, "");
SYMBOL_CRC(sdw_intel_startup, 0x8b23e685, "");
SYMBOL_CRC(sdw_intel_exit, 0xf0fe48a9, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x2e69877a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0xf477b367, "cdns_xfer_msg_defer" },
	{ 0xdb9477b1, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1f3b49aa, "device_del" },
	{ 0xe619780c, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5868cc8, "devm_kasprintf" },
	{ 0xfe7fcaf7, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0xf9f78813, "seq_read" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0x3cb7b784, "sdw_stream_add_master" },
	{ 0x89bb9e9c, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x48e54f16, "cdns_read_ping_status" },
	{ 0x1da97967, "acpi_fetch_acpi_dev" },
	{ 0x8383e3d0, "device_get_named_child_node" },
	{ 0xf2d7bfd5, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5f77fd90, "sdw_cdns_config_update" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xc325321a, "sdw_bus_master_delete" },
	{ 0x3d34a6bd, "single_release" },
	{ 0x5d176618, "__auxiliary_driver_register" },
	{ 0xde45a723, "sdw_cdns_check_self_clearing_bits" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xbdcfffed, "__pm_runtime_use_autosuspend" },
	{ 0x3d0f583a, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xf4ffab18, "single_open" },
	{ 0x24a67f71, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x7e2b3208, "__pm_runtime_disable" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0x5c781933, "sdw_master_read_prop" },
	{ 0xbb5cc614, "sdw_compute_params" },
	{ 0x9985b005, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x1718d05a, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9511bd20, "simple_attr_open" },
	{ 0x849cc2b9, "debugfs_attr_write" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0xe145e57e, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x21980cba, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3e84cabc, "sdw_cdns_clock_restart" },
	{ 0xad63b7d0, "sdw_cdns_debugfs_init" },
	{ 0x3fc911b5, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x3b78d373, "pm_runtime_set_autosuspend_delay" },
	{ 0xeb39e710, "sdw_bus_master_add" },
	{ 0xddd191de, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x114eea1c, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xfd172a9d, "sdw_cdns_is_clock_stop" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0xf6900a6b, "sdw_cdns_config_update_set_wait" },
	{ 0x35dda063, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5dd0eb8d, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d6e7a08, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x78d23099, "__pm_runtime_set_status" },
	{ 0xdc03961c, "auxiliary_driver_unregister" },
	{ 0x2423e35d, "devm_snd_soc_register_component" },
	{ 0x601eb817, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd1cf5ca1, "put_device" },
	{ 0x6eb64a86, "cdns_set_sdw_stream" },
	{ 0xdadebfaa, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xef116cf5, "fwnode_property_read_u32_array" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x79bfa54f, "sdw_clear_slave_status" },
	{ 0x96937d0d, "debugfs_attr_read" },
	{ 0x50afb970, "sdw_stream_remove_master" },
	{ 0x85b039f9, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xc4552736, "sdw_cdns_exit_reset" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x2f0a8d7a, "simple_attr_release" },
	{ 0x71c82335, "__auxiliary_device_add" },
	{ 0x5561a39b, "sdw_cdns_alloc_pdi" },
	{ 0x18d297d3, "sdw_cdns_clock_stop" },
	{ 0x9ba9bac6, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "25EBA2C3B69DC5C5F969F69");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
