#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xaf3ba224, "");
SYMBOL_CRC(is_hsr_master, 0xa544f18e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9850e739, "rtnl_link_register" },
	{ 0xe8f23d60, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d14822c, "dev_set_promiscuity" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xaa65a912, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa1b2c1ce, "unregister_netdevice_queue" },
	{ 0xd54a4c3, "netlink_ack" },
	{ 0x63b6a3f5, "netdev_state_change" },
	{ 0xd90554, "__pskb_copy_fclone" },
	{ 0x4c7df476, "ether_setup" },
	{ 0x452a3352, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6baffa63, "netdev_upper_dev_link" },
	{ 0xa75062ec, "dev_addr_mod" },
	{ 0xd3673ecb, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x49d65d7, "netdev_rx_handler_unregister" },
	{ 0x50461ae, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cbd5988, "netlink_broadcast" },
	{ 0x168b4103, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9e04fa63, "skb_copy_expand" },
	{ 0x9c5e7d5, "__dev_get_by_index" },
	{ 0x4141e910, "rtnl_link_unregister" },
	{ 0x5df61fb6, "init_net" },
	{ 0x780e37f3, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949a4768, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc4d589ee, "dev_get_by_index_rcu" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0x9304eb05, "netdev_printk" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0xc5defa30, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50109f8, "__pskb_pull_tail" },
	{ 0xf179811, "netif_rx" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0xc81c58cd, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf9f78813, "seq_read" },
	{ 0xc4555b40, "debugfs_rename" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0x4a8bd400, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeb2a9454, "call_netdevice_notifiers" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ef0f239, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xcf1348d9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfa2e795b, "netif_carrier_on" },
	{ 0x29c24a25, "netdev_rx_handler_register" },
	{ 0xd6448c27, "seq_puts" },
	{ 0x3d34a6bd, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x67d964f5, "genl_unregister_family" },
	{ 0x2e4f752a, "dev_disable_lro" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0xf4ffab18, "single_open" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0xde8c5b9b, "genl_register_family" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xb4ccc6fd, "netdev_info" },
	{ 0xd8c996fd, "register_netdevice" },
	{ 0x62a8f8d7, "dev_set_mtu" },
	{ 0x73a90f05, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x58d30d50, "eth_header" },
	{ 0x8ca54680, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x694d094c, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A305EE1D69C908602F9E65F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
