#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0x150843fd, "virtqueue_get_vring_size" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0xb4ccc6fd, "netdev_info" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x697efa95, "__dynamic_netdev_dbg" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0xfa2e795b, "netif_carrier_on" },
	{ 0x61c055be, "napi_enable" },
	{ 0x8a5ad3e1, "napi_schedule_prep" },
	{ 0xebaaec48, "__napi_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8424c2a5, "unregister_virtio_driver" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0x8ca54680, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8d3bedc4, "netif_receive_skb" },
	{ 0x9f597502, "vringh_complete_kern" },
	{ 0xb98c2548, "vringh_getdesc_kern" },
	{ 0x452a3352, "netdev_err" },
	{ 0xaa65a912, "netdev_warn" },
	{ 0xf705ad12, "napi_complete_done" },
	{ 0x932af7d7, "vringh_notify_disable_kern" },
	{ 0x2ef0f239, "netif_carrier_off" },
	{ 0x9a81a3f6, "vringh_need_notify_kern" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0x8f8840e8, "vringh_notify_enable_kern" },
	{ 0x7d1e28de, "alloc_netdev_mqs" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7e80c67, "virtqueue_disable_cb" },
	{ 0xfe1af612, "netif_napi_add_weight" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd8c996fd, "register_netdevice" },
	{ 0x349cba85, "strchr" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0x94ddf9cb, "debugfs_create_u32" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x3be212ce, "free_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x40ae14ef, "skb_copy_bits" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5c33df25, "virtqueue_get_buf" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8822699a, "netif_tx_wake_queue" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x90ac2a72, "virtqueue_add_outbuf" },
	{ 0xac0acd19, "virtqueue_kick" },
	{ 0x3d51091d, "virtqueue_enable_cb" },
	{ 0xed2dc72d, "netif_tx_stop_all_queues" },
	{ 0xe0d6121f, "napi_disable" },
	{ 0x1fa31332, "virtqueue_detach_unused_buf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb393154, "register_virtio_driver" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x71350574, "dev_close" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0x422101ab, "virtio_reset_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xed195603, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "vringh");

MODULE_ALIAS("virtio:d0000000Cv*");

MODULE_INFO(srcversion, "D8782A550133F35EE45375F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
