#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x5e171e09, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xf79e8b8f, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x5405c83e, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xdef89133, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x6c50ef25, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x54ed3d7f, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x29cd4876, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xe2f87dc3, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xe17b5e1f, "_gpl");
SYMBOL_CRC(can_bus_off, 0x36afb38b, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xd2f6346b, "_gpl");
SYMBOL_CRC(free_candev, 0xddeb1a29, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x8643cc1e, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xc8d3121c, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xa6ef9db9, "");
SYMBOL_CRC(open_candev, 0xb432bf63, "_gpl");
SYMBOL_CRC(close_candev, 0x91a474d2, "_gpl");
SYMBOL_CRC(register_candev, 0x4f82cb63, "_gpl");
SYMBOL_CRC(unregister_candev, 0xdb65c585, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x1f27961c, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x3554de6e, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xdc7c7e07, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x154601a9, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0x5bb86ac9, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0xfdd933c1, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x726d38c7, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0xb5601173, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0x44d5d2b3, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x5e3677a6, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x1498e9de, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x3b8db6c1, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0xbcd0b402, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0xbf20eb34, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x110708bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed195603, "unregister_netdev" },
	{ 0x1696cf99, "skb_dequeue" },
	{ 0x9850e739, "rtnl_link_register" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xaa65a912, "netdev_warn" },
	{ 0x38ec9785, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc2e4f005, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5dd0eb8d, "__dynamic_dev_dbg" },
	{ 0x452a3352, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x793c1177, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf705ad12, "napi_complete_done" },
	{ 0x7d1e28de, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xebaaec48, "__napi_schedule" },
	{ 0x8741f3fc, "device_property_read_u32_array" },
	{ 0x4141e910, "rtnl_link_unregister" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0x61c055be, "napi_enable" },
	{ 0x8d3bedc4, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x52a0c84e, "register_netdev" },
	{ 0x3be212ce, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe17bd139, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf179811, "netif_rx" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0xc81c58cd, "skb_trim" },
	{ 0x697efa95, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ef0f239, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcf1348d9, "skb_clone" },
	{ 0xfa2e795b, "netif_carrier_on" },
	{ 0x16e297b6, "dev_err_probe" },
	{ 0x8a5ad3e1, "napi_schedule_prep" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb4ccc6fd, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8ca54680, "skb_put" },
	{ 0xe63784c, "gpiod_set_value" },
	{ 0xf21d5f74, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xfe1af612, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EE3FC1C5422DCE263BBBAA6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
