#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0xee3fb810, "");
SYMBOL_CRC(bnxt_unregister_dev, 0x52795e41, "");
SYMBOL_CRC(bnxt_send_msg, 0xdbd0065b, "");
SYMBOL_CRC(bnxt_register_async_events, 0x0ac4c665, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71350574, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4ec0570a, "pci_device_is_present" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0x1c811c7b, "pcie_flr" },
	{ 0xa8f05e36, "pci_read_config_word" },
	{ 0x61c055be, "napi_enable" },
	{ 0x8d3bedc4, "netif_receive_skb" },
	{ 0x52a0c84e, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3be212ce, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf524775f, "__SCK__tp_func_xdp_exception" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x3469c835, "pci_iounmap" },
	{ 0xfa3de38a, "pci_restore_state" },
	{ 0x8822699a, "netif_tx_wake_queue" },
	{ 0x1f3b49aa, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5121497f, "dma_sync_single_for_cpu" },
	{ 0xa183064c, "page_pool_create" },
	{ 0xe85bb58d, "page_pool_put_defragged_page" },
	{ 0xfb578fc5, "memset" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0x7974c1f1, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x54768f26, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xb70d104e, "netif_schedule_queue" },
	{ 0x52f1d820, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1727faa8, "flow_rule_match_ipv6_addrs" },
	{ 0x6323f9ff, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcfe4c754, "ptp_clock_unregister" },
	{ 0x50109f8, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x205610a2, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x697efa95, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc191ca5, "dma_set_coherent_mask" },
	{ 0x75048009, "pv_ops" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0xeafccf47, "rps_may_expire_flow" },
	{ 0x4a8bd400, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa09a266, "netdev_reset_tc" },
	{ 0xe832c0b, "neigh_destroy" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6ed5d4a7, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x16ca5dba, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xfa4a0fd3, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc827ccc5, "bpf_prog_add" },
	{ 0xd4f0c145, "pcie_print_link_status" },
	{ 0x20c39b1b, "flow_rule_match_vlan" },
	{ 0xf392432c, "xdp_rxq_info_unreg" },
	{ 0xf3963051, "page_pool_alloc_pages" },
	{ 0x1ddace2f, "napi_build_skb" },
	{ 0x89391e03, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ef0f239, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa3c3162, "devlink_priv" },
	{ 0x3e4924a5, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x43629005, "pci_disable_sriov" },
	{ 0x8d79d69c, "tcp_gro_complete" },
	{ 0x93634e47, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcaf364fb, "dst_release" },
	{ 0xfa2e795b, "netif_carrier_on" },
	{ 0x3a0e8ab9, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x5285cbc3, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xa7d960d9, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa7a9433e, "pci_disable_device" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0xb5773b04, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd0b5009f, "netif_set_tso_max_size" },
	{ 0x938610b7, "__skb_flow_dissect" },
	{ 0xe014533c, "pci_vpd_alloc" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xac10618d, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x8a5ad3e1, "napi_schedule_prep" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x754d539c, "strlen" },
	{ 0xe0d6121f, "napi_disable" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0x5e9201bc, "dcb_ieee_delapp" },
	{ 0x111c3adb, "netdev_notice" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0xd6b49b2d, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8517d207, "hwmon_device_register_with_groups" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5a1c216a, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xdef123ed, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3b24090f, "pci_write_config_dword" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xb4ccc6fd, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x598e23a2, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3978b794, "__tracepoint_xdp_exception" },
	{ 0xe25a55f6, "alloc_etherdev_mqs" },
	{ 0x2048908b, "flow_block_cb_lookup" },
	{ 0xf32be83c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x65c167db, "device_set_wakeup_enable" },
	{ 0x73a90f05, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7cc12f9a, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd57f9c60, "pci_find_ext_capability" },
	{ 0x20a0fe06, "bpf_prog_put" },
	{ 0xc63a59b7, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2623036b, "devlink_unregister" },
	{ 0x40ae14ef, "skb_copy_bits" },
	{ 0x1423714e, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x644b2e35, "pci_wake_from_d3" },
	{ 0x1b66d639, "pci_enable_device" },
	{ 0x8ca54680, "skb_put" },
	{ 0xf21d5f74, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x24d767e8, "__napi_alloc_skb" },
	{ 0xff3763dc, "flow_indr_dev_register" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0xe145e57e, "auxiliary_device_init" },
	{ 0x694d094c, "netdev_update_features" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0x7292db65, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfe1af612, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xadfbd9bd, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0xdc32d682, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x8652e1b1, "bpf_warn_invalid_xdp_action" },
	{ 0x8bfd24d4, "ndo_dflt_bridge_getlink" },
	{ 0xed195603, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9161e4c5, "xdp_features_set_redirect_target" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x598736d6, "dma_unmap_page_attrs" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0xb12995a8, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe22b94c3, "__pci_register_driver" },
	{ 0x393cd542, "devlink_params_unregister" },
	{ 0xb11ca7b0, "dma_sync_single_for_device" },
	{ 0xb500752b, "pci_num_vf" },
	{ 0x1d6bdf00, "flow_rule_match_eth_addrs" },
	{ 0x1f1fb707, "skb_add_rx_frag" },
	{ 0x61d78f14, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xafe65933, "ptp_clock_index" },
	{ 0x220e9095, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c99b892, "devlink_alloc_ns" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5747c3af, "devlink_register" },
	{ 0x3673bae0, "devlink_remote_reload_actions_performed" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xc5c0bdbe, "page_pool_destroy" },
	{ 0x85389354, "xdp_do_redirect" },
	{ 0xdf82a111, "devlink_free" },
	{ 0x286f08a1, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xaa65a912, "netdev_warn" },
	{ 0x7912f2bd, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2d7cd983, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xedd62e8, "flow_rule_match_ipv4_addrs" },
	{ 0x8114397c, "ip_route_output_flow" },
	{ 0xc2e4f005, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x8cb7c6b0, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfc0cad49, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x452a3352, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb0c7554, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xb1ee3178, "devlink_flash_update_status_notify" },
	{ 0x387d221f, "dev_driver_string" },
	{ 0x5a052769, "netdev_port_same_parent_id" },
	{ 0xa75062ec, "dev_addr_mod" },
	{ 0xd3673ecb, "netdev_core_stats_alloc" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xb017fa66, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x189cca19, "ptp_find_pin" },
	{ 0x1990918a, "eth_type_trans" },
	{ 0xaa831493, "pci_read_config_dword" },
	{ 0x1003c4bb, "flow_rule_match_icmp" },
	{ 0x7d33823d, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f7b7a9a, "dma_map_page_attrs" },
	{ 0xf705ad12, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd1cf5ca1, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xebaaec48, "__napi_schedule" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x1162379, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xa84720c5, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xe96b492a, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xbf64b9b2, "napi_gro_receive" },
	{ 0xa1008e1c, "netif_device_attach" },
	{ 0xd661bb3c, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x2f3019a9, "flow_indr_dev_unregister" },
	{ 0xe80a9858, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe39fe44a, "xdp_rxq_info_is_reg" },
	{ 0x88b2c8ba, "ptp_classify_raw" },
	{ 0xbc8ae1c7, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8f63e9f, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x68f1cce4, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe1fa568c, "devlink_port_unregister" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x5df61fb6, "init_net" },
	{ 0xf08a6fd7, "softnet_data" },
	{ 0xeb0b5200, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc0507c2c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x63101fbd, "ptp_clock_register" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4391cb37, "netif_set_real_num_tx_queues" },
	{ 0x71c82335, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xfe49381, "netif_set_real_num_rx_queues" },
	{ 0xb1c21753, "flow_indr_block_cb_alloc" },
	{ 0x9304eb05, "netdev_printk" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E0C2A3335BCA21356691A07");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
