#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0xcd0c69f5, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x3bfc6d56, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xfe49381, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0xc46a71a1, "debugfs_remove" },
	{ 0xa8f05e36, "pci_read_config_word" },
	{ 0x61c055be, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x104821da, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xd7987d95, "dcbnl_ieee_notify" },
	{ 0x183fa8c7, "xsk_uses_need_wakeup" },
	{ 0x52a0c84e, "register_netdev" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3be212ce, "free_netdev" },
	{ 0x20bbe13b, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf1cd0f20, "ethtool_op_get_link" },
	{ 0x3d4721bc, "eth_platform_get_mac_address" },
	{ 0xd9724b95, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf524775f, "__SCK__tp_func_xdp_exception" },
	{ 0xed2dc72d, "netif_tx_stop_all_queues" },
	{ 0xfa3de38a, "pci_restore_state" },
	{ 0x8822699a, "netif_tx_wake_queue" },
	{ 0x1f3b49aa, "device_del" },
	{ 0x59d75024, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5121497f, "dma_sync_single_for_cpu" },
	{ 0x87bfd3f0, "dcb_getapp" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0x7974c1f1, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x54768f26, "ptp_clock_event" },
	{ 0xb70d104e, "netif_schedule_queue" },
	{ 0x106becbc, "__alloc_pages" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x52f1d820, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1727faa8, "flow_rule_match_ipv6_addrs" },
	{ 0x6323f9ff, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcfe4c754, "ptp_clock_unregister" },
	{ 0x50109f8, "__pskb_pull_tail" },
	{ 0xa7320fd9, "xp_dma_unmap" },
	{ 0x697efa95, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cec2f8b, "netdev_unbind_sb_channel" },
	{ 0xbc191ca5, "dma_set_coherent_mask" },
	{ 0xc4d4a565, "bpf_trace_run3" },
	{ 0x542203a4, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x39f8c84f, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f2554f4, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0x539e96ec, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa09a266, "netdev_reset_tc" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeb2a9454, "call_netdevice_notifiers" },
	{ 0xc3cdcd16, "xp_set_rxq_info" },
	{ 0x20c39b1b, "flow_rule_match_vlan" },
	{ 0xf392432c, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1ddace2f, "napi_build_skb" },
	{ 0x89391e03, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ef0f239, "netif_carrier_off" },
	{ 0x15b66f73, "__hw_addr_sync_dev" },
	{ 0x43629005, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfa2e795b, "netif_carrier_on" },
	{ 0x3a0e8ab9, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xa7d960d9, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2da4b321, "dev_uc_add_excl" },
	{ 0xa7a9433e, "pci_disable_device" },
	{ 0x84257933, "xp_free" },
	{ 0xa73b9460, "dev_mc_add_excl" },
	{ 0x53023cf7, "dev_uc_add" },
	{ 0xb5773b04, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1f557f9b, "_dev_crit" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xac10618d, "xdp_master_redirect" },
	{ 0x960a08b4, "__napi_schedule_irqoff" },
	{ 0x8a5ad3e1, "napi_schedule_prep" },
	{ 0x7d5a681b, "napi_consume_skb" },
	{ 0x12f83e20, "pci_read_config_byte" },
	{ 0x70758d78, "xp_alloc_batch" },
	{ 0xe0d6121f, "napi_disable" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0x5e9201bc, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x12b0e848, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd71e5313, "flow_rule_match_control" },
	{ 0x5a1c216a, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xdef123ed, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeedd6b7, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xb4ccc6fd, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3978b794, "__tracepoint_xdp_exception" },
	{ 0xed3bfea3, "xsk_tx_completed" },
	{ 0xe25a55f6, "alloc_etherdev_mqs" },
	{ 0xf32be83c, "pci_save_state" },
	{ 0x2f20e21a, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xebe4b68e, "pcie_capability_read_word" },
	{ 0x65c167db, "device_set_wakeup_enable" },
	{ 0x73a90f05, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7cc12f9a, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd57f9c60, "pci_find_ext_capability" },
	{ 0x20a0fe06, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc8963e20, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x40ae14ef, "skb_copy_bits" },
	{ 0xca5e5f3, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd5c04d14, "pci_request_selected_regions" },
	{ 0x9b1db93f, "pci_release_selected_regions" },
	{ 0x644b2e35, "pci_wake_from_d3" },
	{ 0xf21d5f74, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x24d767e8, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe145e57e, "auxiliary_device_init" },
	{ 0xea60fc9c, "pci_enable_device_mem" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xfe1af612, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x52edc3fe, "xsk_tx_peek_release_desc_batch" },
	{ 0xadfbd9bd, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0x8652e1b1, "bpf_warn_invalid_xdp_action" },
	{ 0x8bfd24d4, "ndo_dflt_bridge_getlink" },
	{ 0xed195603, "unregister_netdev" },
	{ 0xd32974e9, "xdp_convert_zc_to_xdp_frame" },
	{ 0x9161e4c5, "xdp_features_set_redirect_target" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x97bca469, "pci_get_device" },
	{ 0x598736d6, "dma_unmap_page_attrs" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xe22b94c3, "__pci_register_driver" },
	{ 0xb11ca7b0, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xb500752b, "pci_num_vf" },
	{ 0x1d6bdf00, "flow_rule_match_eth_addrs" },
	{ 0x1f1fb707, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe63d0f3d, "pci_disable_msi" },
	{ 0xafe65933, "ptp_clock_index" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x85389354, "xdp_do_redirect" },
	{ 0x286f08a1, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x90d8a8b2, "bpf_trace_run2" },
	{ 0xaa65a912, "netdev_warn" },
	{ 0x7912f2bd, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2d7cd983, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0xedd62e8, "flow_rule_match_ipv4_addrs" },
	{ 0xc2e4f005, "__netif_napi_del" },
	{ 0xd9b6eace, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5dd0eb8d, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xfc0cad49, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x452a3352, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb0c7554, "pskb_expand_head" },
	{ 0x387d221f, "dev_driver_string" },
	{ 0x4bb8d3f8, "pci_restore_msi_state" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0xa75062ec, "dev_addr_mod" },
	{ 0xb017fa66, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x189cca19, "ptp_find_pin" },
	{ 0x1990918a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f7b7a9a, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xf705ad12, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc22b4c57, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd1cf5ca1, "put_device" },
	{ 0xebaaec48, "__napi_schedule" },
	{ 0x2b9e87b8, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1162379, "pci_enable_msix_range" },
	{ 0x22eeb19e, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa4f47fdb, "__free_pages" },
	{ 0x1960f0b0, "__hw_addr_unsync_dev" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0xbf64b9b2, "napi_gro_receive" },
	{ 0xd661bb3c, "xdp_features_clear_redirect_target" },
	{ 0xdfabcaa6, "pci_select_bars" },
	{ 0x9d601497, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xec8de67d, "xp_raw_get_dma" },
	{ 0xe80a9858, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe39fe44a, "xdp_rxq_info_is_reg" },
	{ 0xbc8ae1c7, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8f63e9f, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8929394c, "pci_enable_msi" },
	{ 0x2372f54d, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0xf08a6fd7, "softnet_data" },
	{ 0xeb0b5200, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xc0507c2c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x63101fbd, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0x6485586b, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4391cb37, "netif_set_real_num_tx_queues" },
	{ 0x71c82335, "__auxiliary_device_add" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FC508EAD48A2E96354D702F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
