#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x387d4c5f, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x2e916e06, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x6c0c3845, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x68a42a0b, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x86781e25, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x50461ae, "eth_header_parse" },
	{ 0x49d65d7, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xef29e80a, "eth_header_cache_update" },
	{ 0x62fa9f9c, "nf_register_net_hooks" },
	{ 0x7f6f9528, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x1533ecaf, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9c5e7d5, "__dev_get_by_index" },
	{ 0x4141e910, "rtnl_link_unregister" },
	{ 0x780e37f3, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x53ae77a4, "netif_stacked_transfer_operstate" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0xc5defa30, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19661d52, "ns_capable" },
	{ 0xace9919a, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf1cd0f20, "ethtool_op_get_link" },
	{ 0x10e2b115, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xb1c3c517, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x50109f8, "__pskb_pull_tail" },
	{ 0xf179811, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc72e47f5, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x4a8bd400, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd15bd29f, "vlan_vid_add" },
	{ 0xeb2a9454, "call_netdevice_notifiers" },
	{ 0x2084f8c, "vlan_vid_del" },
	{ 0x302d3711, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcf1348d9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcaf364fb, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x29c24a25, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdb6fcef3, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x5d8719c6, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc6347f82, "dev_change_flags" },
	{ 0x8195a309, "dev_forward_skb" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd8c996fd, "register_netdevice" },
	{ 0x3348df88, "__do_once_done" },
	{ 0xc0bce084, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xfb688976, "dev_pre_changeaddr_notify" },
	{ 0x369dbaa4, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6db47a36, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x694d094c, "netdev_update_features" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0x3944e22e, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9dab245b, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9850e739, "rtnl_link_register" },
	{ 0xaff29fd7, "netif_inherit_tso_max" },
	{ 0x7154794e, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x8114397c, "ip_route_output_flow" },
	{ 0xa1b2c1ce, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd914f1c1, "dev_uc_unsync" },
	{ 0x4c7df476, "ether_setup" },
	{ 0x452a3352, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6baffa63, "netdev_upper_dev_link" },
	{ 0x233b295d, "register_pernet_subsys" },
	{ 0xa75062ec, "dev_addr_mod" },
	{ 0xd3673ecb, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B82B76A4896558897CBD30F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
