#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x18ddc874, "");
SYMBOL_CRC(ath10k_info, 0xe277db2c, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x6a9e3096, "");
SYMBOL_CRC(ath10k_err, 0x56112124, "");
SYMBOL_CRC(ath10k_warn, 0xe87fa960, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xb909d5f2, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x3b5f54e7, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x1644c5de, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0xba60e77b, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xe64c0508, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x5582e112, "");
SYMBOL_CRC(ath10k_core_start, 0xb7f37c3d, "");
SYMBOL_CRC(ath10k_core_stop, 0x61c89cde, "");
SYMBOL_CRC(ath10k_core_register, 0x3ac31ae3, "");
SYMBOL_CRC(ath10k_core_unregister, 0x019e7a0a, "");
SYMBOL_CRC(ath10k_core_create, 0xaf881bb9, "");
SYMBOL_CRC(ath10k_core_destroy, 0x7d4291ba, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x51d9af83, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x42eeb86b, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x217412e0, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x2ff74644, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x6786dcb1, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x42a8dcbd, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x478ce45f, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x9aa5092a, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x8f5842ed, "");
SYMBOL_CRC(ath10k_bmi_start, 0x7ee44fa9, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x265007e4, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xbd83a866, "");
SYMBOL_CRC(ath10k_coredump_new, 0x8784a4e0, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x4a911ca5, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xfced0d8e, "");
SYMBOL_CRC(ath10k_ce_send, 0xda4422ce, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x436126f3, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xd626310f, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x92b331c1, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x8bc56778, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x2e98f32e, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x74992666, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xcb498fc0, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xb4525bb7, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x32648bb0, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x2d239a6e, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x98b9786d, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xa4ff3e96, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x36e4fa10, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x5a435ef2, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xe2a37d73, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x0905ce73, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x64a609f9, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x4bf629ae, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x3a58f571, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xf0f154ed, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x64bf9e98, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x3c0ebd8b, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0xa29d5d21, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xfe5b091d, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xf6d3914, "ieee80211_csa_finish" },
	{ 0xf9366aac, "skb_queue_head" },
	{ 0x6b4f6c73, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x5f6ff77d, "ieee80211_beacon_update_cntdwn" },
	{ 0xe6446676, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x65c167db, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x57a1b3f, "ieee80211_connection_loss" },
	{ 0xe2fa2e19, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6d28913a, "is_acpi_device_node" },
	{ 0xc63a59b7, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd7cad99, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x151011fc, "ieee80211_txq_get_depth" },
	{ 0xca5e5f3, "param_ops_uint" },
	{ 0x1301de77, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x8ca54680, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf0a06c67, "firmware_request_nowarn" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x65029ccb, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x36878141, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1696cf99, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x93a6a8a3, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x598736d6, "dma_unmap_page_attrs" },
	{ 0x95a49a44, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x50aea40b, "ieee80211_iterate_stations_atomic" },
	{ 0xb11ca7b0, "dma_sync_single_for_device" },
	{ 0xcee5c3c8, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5389df40, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0xfd170229, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x2087ab01, "thermal_cooling_device_register" },
	{ 0xec68060e, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x2a9d6e05, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x2d9e4c0, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfeab0852, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb0c7554, "pskb_expand_head" },
	{ 0x793c1177, "skb_queue_purge_reason" },
	{ 0x387d221f, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa157bb6, "ieee80211_find_sta" },
	{ 0x7f7b7a9a, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd156f4d9, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x970ebeff, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0x560acb5b, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x729dc8fe, "skb_queue_tail" },
	{ 0xba93be29, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x79ab0c76, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x448a279b, "wiphy_to_ieee80211_hw" },
	{ 0xb32a1c57, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x376d4ab7, "ieee80211_queue_delayed_work" },
	{ 0x1e00aa5, "ieee80211_proberesp_get" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0xeb0b5200, "simple_open" },
	{ 0x780e37f3, "skb_pull" },
	{ 0xe1d19bf, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d7c51e3, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x59f45b78, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4b9ffddc, "ieee80211_next_txq" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x523c3d42, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x61c055be, "napi_enable" },
	{ 0xd7d7768a, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9e1c27ee, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x93e5d8b3, "ieee80211_report_low_ack" },
	{ 0xc0efe9ec, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc0179d13, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6549156f, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x452b9127, "ieee80211_alloc_hw_nm" },
	{ 0x77fa827c, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x52de7b5f, "default_llseek" },
	{ 0xe97aed1e, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x87c44e2b, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x12dafad, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc2d0766e, "devm_nvmem_cell_get" },
	{ 0x524c01df, "ieee80211_stop_queue" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0x5cb64bca, "ieee80211_ready_on_channel" },
	{ 0x71d4f903, "ieee80211_stop_queues" },
	{ 0xc81c58cd, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x581f70cb, "skb_realloc_headroom" },
	{ 0x71358bb7, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xe017ec4d, "ieee80211_scan_completed" },
	{ 0x68743db0, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x483233bc, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdf131a5a, "ath_regd_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3a0ec7c, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe429782d, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfcc3c0a, "ieee80211_tdls_oper_request" },
	{ 0x4a655124, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa3a3638, "thermal_cooling_device_unregister" },
	{ 0x69c70cc6, "ieee80211_tx_rate_update" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x40c31b01, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xe0d6121f, "napi_disable" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "969ED40A259DE86BAEE57ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
