#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0xf926406d, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0xa251abd8, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x0570563f, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x7fdd2274, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0x21c4a46f, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x2253098f, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0x75b9f748, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x5a99d7b1, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x71418ee8, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xdd893944, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0xfe10bf82, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x49111708, "sdio_writel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x52f1d820, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffb796d5, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x50109f8, "__pskb_pull_tail" },
	{ 0xf179811, "netif_rx" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x1e05160f, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc81c58cd, "skb_trim" },
	{ 0xd5f598a8, "skb_unlink" },
	{ 0x338c0181, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5925c4b4, "kthread_create_on_node" },
	{ 0x5868cc8, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa383e06, "pm_runtime_forbid" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0x1ad66eee, "brcmu_pktq_mdeq" },
	{ 0x891759de, "cfg80211_unregister_wdev" },
	{ 0xaf219e68, "pci_pme_capable" },
	{ 0x736452b, "brcmu_pktq_penq" },
	{ 0x132a8c2d, "dma_free_attrs" },
	{ 0x6c90f39f, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0xa500a949, "__platform_driver_probe" },
	{ 0x5dda32fa, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x47c6f808, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc001b2d7, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbd55941f, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x62e8830b, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ef0f239, "netif_carrier_off" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfa2e795b, "netif_carrier_on" },
	{ 0x4cd9b63b, "brcmu_pkt_buf_get_skb" },
	{ 0xc6d682b8, "mmc_hw_reset" },
	{ 0x84839249, "sdio_retune_release" },
	{ 0xcd7f3eb3, "sdio_claim_irq" },
	{ 0x3f4e89a3, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa7a9433e, "pci_disable_device" },
	{ 0xd63bd0ec, "pci_match_id" },
	{ 0x84ce3694, "sdio_enable_func" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeba206b, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x2db40b3e, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa20d76e8, "cfg80211_inform_bss_data" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0xbdf91bfd, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5e0eb5f4, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xd4d6c0ef, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x227ec3ff, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3b24090f, "pci_write_config_dword" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf9366aac, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd62bca26, "sdio_readb" },
	{ 0xddf0f49c, "sdio_writeb" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x214133ae, "brcmu_pktq_mlen" },
	{ 0xdc581d2b, "cfg80211_sched_scan_results" },
	{ 0x44a2eb49, "sdio_retune_hold_now" },
	{ 0x7ecf817c, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x843c9db2, "usb_alloc_urb" },
	{ 0xc3659b4b, "sdio_disable_func" },
	{ 0x9982435c, "cfg80211_mgmt_tx_status_ext" },
	{ 0x65c167db, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf1a35e1e, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc2f5b810, "sdio_set_block_size" },
	{ 0x6d28913a, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xde213f69, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0x1b66d639, "pci_enable_device" },
	{ 0x8ca54680, "skb_put" },
	{ 0x9c19fff4, "brcmu_pkt_buf_free_skb" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa8133633, "sdio_retune_crc_disable" },
	{ 0x768d4a05, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf0a06c67, "firmware_request_nowarn" },
	{ 0x91e2c9fc, "platform_driver_unregister" },
	{ 0xe6b99ade, "sdio_claim_host" },
	{ 0xba038833, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xad5c570a, "sdio_memcpy_fromio" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xcc913ff3, "sdio_register_driver" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xed195603, "unregister_netdev" },
	{ 0x4f0cfb7f, "cfg80211_remain_on_channel_expired" },
	{ 0x1696cf99, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3cb721f7, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x598736d6, "dma_unmap_page_attrs" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x2376a635, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xe22b94c3, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xe63d0f3d, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xf9cf440, "cfg80211_port_authorized" },
	{ 0xf5b4bcd5, "brcmu_pktq_init" },
	{ 0x48a12f3b, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x34fa0d58, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf8f55e1a, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x4c58d67b, "cfg80211_disconnected" },
	{ 0x4c7df476, "ether_setup" },
	{ 0xfc0cad49, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb0c7554, "pskb_expand_head" },
	{ 0xddbc009c, "wake_up_process" },
	{ 0x387d221f, "dev_driver_string" },
	{ 0xa75062ec, "dev_addr_mod" },
	{ 0x7502a322, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x1990918a, "eth_type_trans" },
	{ 0xaa831493, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f7b7a9a, "dma_map_page_attrs" },
	{ 0x7d1e28de, "alloc_netdev_mqs" },
	{ 0x3493bb53, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xef2b5a9c, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x36798f3a, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4cf343fd, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x753f3a79, "cfg80211_crit_proto_stopped" },
	{ 0xc1f3a4c7, "wiphy_register" },
	{ 0xecbd22b5, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x560acb5b, "cfg80211_put_bss" },
	{ 0x21edb903, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xdd882ee6, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0x729dc8fe, "skb_queue_tail" },
	{ 0xba93be29, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x624d4716, "cfg80211_check_combinations" },
	{ 0x5314ad16, "sdio_set_host_pm_flags" },
	{ 0x8f92488d, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x6ec877b6, "sdio_unregister_driver" },
	{ 0xadcf0628, "sdio_readsb" },
	{ 0x6bd22f71, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8929394c, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x24795c30, "device_wakeup_enable" },
	{ 0x580c32ea, "cfg80211_ibss_joined" },
	{ 0x9f0d9841, "request_firmware_nowait" },
	{ 0xeb0b5200, "simple_open" },
	{ 0x780e37f3, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbf97f219, "wiphy_apply_custom_regulatory" },
	{ 0x82c536db, "cfg80211_michael_mic_failure" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0xf6033696, "sdio_retune_crc_enable" },
	{ 0xa713a91b, "brcmu_pktq_flush" },
	{ 0x5275edd8, "brcmu_pktq_peek_tail" },
	{ 0x6caedff9, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x77aa33d8, "cfg80211_del_sta_sinfo" },
	{ 0xe4a1812f, "sdio_readl" },
	{ 0x93450112, "mmc_set_data_timeout" },
	{ 0xd5a43273, "nla_put" },
	{ 0x52a0c84e, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7461d4b8, "wiphy_unregister" },
	{ 0x3be212ce, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf17253b6, "kthread_stop" },
	{ 0x3d4721bc, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x244edd51, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8822699a, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0x1a6d5d25, "brcmu_pktq_pdeq_match" },
	{ 0x56bcedab, "cfg80211_vendor_cmd_reply" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,brcmutil,cfg80211,usbcore");

MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");

MODULE_INFO(srcversion, "88DB5E45BA7CC598E884E32");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
