#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hostap_80211_rx, "", "");
KSYMTAB_FUNC(hostap_master_start_xmit, "", "");
KSYMTAB_FUNC(hostap_init_data, "", "");
KSYMTAB_FUNC(hostap_init_ap_proc, "", "");
KSYMTAB_FUNC(hostap_free_data, "", "");
KSYMTAB_FUNC(hostap_check_sta_fw_version, "", "");
KSYMTAB_FUNC(hostap_handle_sta_tx_exc, "", "");
KSYMTAB_FUNC(hostap_info_init, "", "");
KSYMTAB_FUNC(hostap_info_process, "", "");
KSYMTAB_DATA(hostap_80211_ops, "", "");
KSYMTAB_FUNC(hostap_set_word, "", "");
KSYMTAB_FUNC(hostap_set_string, "", "");
KSYMTAB_FUNC(hostap_get_porttype, "", "");
KSYMTAB_FUNC(hostap_set_encryption, "", "");
KSYMTAB_FUNC(hostap_set_antsel, "", "");
KSYMTAB_FUNC(hostap_set_roaming, "", "");
KSYMTAB_FUNC(hostap_set_auth_algs, "", "");
KSYMTAB_FUNC(hostap_dump_rx_header, "", "");
KSYMTAB_FUNC(hostap_dump_tx_header, "", "");
KSYMTAB_FUNC(hostap_80211_get_hdrlen, "", "");
KSYMTAB_FUNC(hostap_setup_dev, "", "");
KSYMTAB_FUNC(hostap_set_multicast_list_queue, "", "");
KSYMTAB_FUNC(hostap_set_hostapd, "", "");
KSYMTAB_FUNC(hostap_set_hostapd_sta, "", "");
KSYMTAB_FUNC(hostap_add_interface, "", "");
KSYMTAB_FUNC(hostap_remove_interface, "", "");
KSYMTAB_FUNC(prism2_update_comms_qual, "", "");
KSYMTAB_FUNC(hostap_init_proc, "", "");
KSYMTAB_FUNC(hostap_remove_proc, "", "");

SYMBOL_CRC(hostap_80211_rx, 0xbe3b82bc, "");
SYMBOL_CRC(hostap_master_start_xmit, 0x898c7cd2, "");
SYMBOL_CRC(hostap_init_data, 0xc1f5e355, "");
SYMBOL_CRC(hostap_init_ap_proc, 0xd49b9ec5, "");
SYMBOL_CRC(hostap_free_data, 0xedbfb998, "");
SYMBOL_CRC(hostap_check_sta_fw_version, 0xe0b3466d, "");
SYMBOL_CRC(hostap_handle_sta_tx_exc, 0x1487d0a1, "");
SYMBOL_CRC(hostap_info_init, 0x95e8e566, "");
SYMBOL_CRC(hostap_info_process, 0x79ccfc09, "");
SYMBOL_CRC(hostap_80211_ops, 0xbd915c5a, "");
SYMBOL_CRC(hostap_set_word, 0xaa7457e4, "");
SYMBOL_CRC(hostap_set_string, 0x5119927c, "");
SYMBOL_CRC(hostap_get_porttype, 0xa595aff4, "");
SYMBOL_CRC(hostap_set_encryption, 0x6b569a96, "");
SYMBOL_CRC(hostap_set_antsel, 0x213beeec, "");
SYMBOL_CRC(hostap_set_roaming, 0xe8e8837b, "");
SYMBOL_CRC(hostap_set_auth_algs, 0xdd42f3f2, "");
SYMBOL_CRC(hostap_dump_rx_header, 0x7fb75891, "");
SYMBOL_CRC(hostap_dump_tx_header, 0xf91c03e2, "");
SYMBOL_CRC(hostap_80211_get_hdrlen, 0xb4b77c8b, "");
SYMBOL_CRC(hostap_setup_dev, 0xa557e5cd, "");
SYMBOL_CRC(hostap_set_multicast_list_queue, 0x75934c58, "");
SYMBOL_CRC(hostap_set_hostapd, 0xef915641, "");
SYMBOL_CRC(hostap_set_hostapd_sta, 0x806fb12d, "");
SYMBOL_CRC(hostap_add_interface, 0x75cef7e9, "");
SYMBOL_CRC(hostap_remove_interface, 0x4c527749, "");
SYMBOL_CRC(prism2_update_comms_qual, 0x6c6eea46, "");
SYMBOL_CRC(hostap_init_proc, 0x22cbf199, "");
SYMBOL_CRC(hostap_remove_proc, 0xd5c501a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52de7b5f, "default_llseek" },
	{ 0xdfef248f, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x427467e0, "wireless_spy_update" },
	{ 0xf179811, "netif_rx" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0xc6160074, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc81c58cd, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x581f70cb, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4a8bd400, "__dev_queue_xmit" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8d2d36cd, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ef0f239, "netif_carrier_off" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x26ca2072, "lib80211_crypt_delayed_deinit" },
	{ 0xe429782d, "skb_copy" },
	{ 0xcf1348d9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfa2e795b, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xd6448c27, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf894b5dc, "proc_create_single_data" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0x427d0602, "proc_create_seq_private" },
	{ 0xa422e239, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa5695371, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd8c996fd, "register_netdevice" },
	{ 0xe25a55f6, "alloc_etherdev_mqs" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x58d30d50, "eth_header" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x8ca54680, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xed195603, "unregister_netdev" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x1696cf99, "skb_dequeue" },
	{ 0xbe9d43d1, "param_array_ops" },
	{ 0x7154794e, "eth_header_cache" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x2e2e5f1e, "iw_handler_set_spy" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x286f08a1, "eth_validate_addr" },
	{ 0x159efc8, "proc_create_data" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa1b2c1ce, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4c7df476, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb0c7554, "pskb_expand_head" },
	{ 0x793c1177, "skb_queue_purge_reason" },
	{ 0xa75062ec, "dev_addr_mod" },
	{ 0x1990918a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x108a8647, "iw_handler_get_thrspy" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xef29e80a, "eth_header_cache_update" },
	{ 0xa916b694, "strnlen" },
	{ 0xe96b492a, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa1008e1c, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0x729dc8fe, "skb_queue_tail" },
	{ 0x2736df6c, "lib80211_get_crypto_ops" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x4ec8d06e, "dev_open" },
	{ 0x5df61fb6, "init_net" },
	{ 0x780e37f3, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0x71350574, "dev_close" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0xd38c8b5b, "wireless_send_event" },
	{ 0xbfc40aeb, "seq_putc" },
	{ 0x3be212ce, "free_netdev" },
	{ 0x58404388, "iw_handler_get_spy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "lib80211");


MODULE_INFO(srcversion, "B736C4DA17B3757FC8B81A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
