#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(orinoco_open, "", "");
KSYMTAB_FUNC(orinoco_stop, "", "");
KSYMTAB_FUNC(orinoco_set_multicast_list, "", "");
KSYMTAB_FUNC(orinoco_change_mtu, "", "");
KSYMTAB_FUNC(orinoco_process_xmit_skb, "", "");
KSYMTAB_FUNC(orinoco_tx_timeout, "", "");
KSYMTAB_FUNC(__orinoco_ev_rx, "", "");
KSYMTAB_FUNC(__orinoco_ev_info, "", "");
KSYMTAB_FUNC(orinoco_interrupt, "", "");
KSYMTAB_FUNC(orinoco_init, "", "");
KSYMTAB_FUNC(alloc_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_if_add, "", "");
KSYMTAB_FUNC(orinoco_if_del, "", "");
KSYMTAB_FUNC(free_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_up, "", "");
KSYMTAB_FUNC(orinoco_down, "", "");
KSYMTAB_FUNC(hermes_struct_init, "", "");

SYMBOL_CRC(orinoco_open, 0xaf481668, "");
SYMBOL_CRC(orinoco_stop, 0x6b552489, "");
SYMBOL_CRC(orinoco_set_multicast_list, 0xa72f6781, "");
SYMBOL_CRC(orinoco_change_mtu, 0xc55adc36, "");
SYMBOL_CRC(orinoco_process_xmit_skb, 0x6c7df45b, "");
SYMBOL_CRC(orinoco_tx_timeout, 0x7fa13e89, "");
SYMBOL_CRC(__orinoco_ev_rx, 0x9c04b9f8, "");
SYMBOL_CRC(__orinoco_ev_info, 0x77b2f9bc, "");
SYMBOL_CRC(orinoco_interrupt, 0xffe27bca, "");
SYMBOL_CRC(orinoco_init, 0xfe5ac20d, "");
SYMBOL_CRC(alloc_orinocodev, 0xc4777253, "");
SYMBOL_CRC(orinoco_if_add, 0xb10f06fc, "");
SYMBOL_CRC(orinoco_if_del, 0x2d583c64, "");
SYMBOL_CRC(free_orinocodev, 0x92befca6, "");
SYMBOL_CRC(orinoco_up, 0x3b6121f9, "");
SYMBOL_CRC(orinoco_down, 0x66bd531b, "");
SYMBOL_CRC(hermes_struct_init, 0xa74c2dc5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6cbbc89, "capable" },
	{ 0xba93be29, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0xe1efa14b, "crypto_shash_setkey" },
	{ 0x2c371a39, "cfg80211_wext_giwfrag" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd38c8b5b, "wireless_send_event" },
	{ 0x52a0c84e, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3be212ce, "free_netdev" },
	{ 0x58404388, "iw_handler_get_spy" },
	{ 0xd376cefa, "crypto_shash_update" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8822699a, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x427467e0, "wireless_spy_update" },
	{ 0xf179811, "netif_rx" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0xc81c58cd, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa2e6e0a1, "cfg80211_wext_siwmode" },
	{ 0xbdf41ca9, "_dev_notice" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xabd6e7ec, "crypto_shash_final" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x43e8f8fb, "cfg80211_wext_giwretry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ef0f239, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xf054cc20, "cfg80211_wext_siwscan" },
	{ 0xfa2e795b, "netif_carrier_on" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa20d76e8, "cfg80211_inform_bss_data" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdf3f2a59, "param_ops_int" },
	{ 0xa5597f99, "crypto_alloc_shash" },
	{ 0xd4d6c0ef, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa5695371, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe25a55f6, "alloc_etherdev_mqs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2112c199, "eth_mac_addr" },
	{ 0x8ca54680, "skb_put" },
	{ 0x768d4a05, "cfg80211_scan_done" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0x9e8da155, "cfg80211_wext_siwfrag" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xed195603, "unregister_netdev" },
	{ 0x6044f7b0, "cfg80211_wext_giwrts" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x545b23, "cfg80211_wext_giwscan" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb3c2970b, "cfg80211_wext_giwname" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e2e5f1e, "iw_handler_set_spy" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x286f08a1, "eth_validate_addr" },
	{ 0x23ce92f9, "dev_kfree_skb_irq_reason" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x105c5bcd, "cfg80211_wext_giwmode" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5dd0eb8d, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4780469e, "cfg80211_wext_giwrange" },
	{ 0xa75062ec, "dev_addr_mod" },
	{ 0xdd13d8f8, "crypto_destroy_tfm" },
	{ 0x1990918a, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3493bb53, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x848d372e, "iowrite8" },
	{ 0x108a8647, "iw_handler_get_thrspy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1f3a4c7, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x560acb5b, "cfg80211_put_bss" },
	{ 0xe96b492a, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0x67f4b309, "cfg80211_wext_siwrts" },
	{ 0xa1008e1c, "netif_device_attach" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "B1B647A019CEB604DA8EB41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
