#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_stop, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x9a63eaf3, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xafcb5e4a, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x7e2805b1, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0xd32d515c, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0xf43c3d9f, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x02b96d6b, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xbecb761c, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0xeb427ccc, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xe2dc595b, "_gpl");
SYMBOL_CRC(mt7921_stop, 0x78eb8315, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x1cf06861, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0xc2ad0258, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xc7183780, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x702164dd, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x3a328bfc, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xd6f9231a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x287cf517, "mt76_connac2_tx_check_aggr" },
	{ 0x5dd0eb8d, "__dynamic_dev_dbg" },
	{ 0xad5c63a, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb0c7554, "pskb_expand_head" },
	{ 0x66bb7f79, "mt76_wcid_init" },
	{ 0xddbc009c, "wake_up_process" },
	{ 0xc89fe4c, "mt76_connac_free_pending_tx_skbs" },
	{ 0x68a5290d, "mt792x_sta_statistics" },
	{ 0x793c1177, "skb_queue_purge_reason" },
	{ 0x82aaa7fa, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb44caefd, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b6cb962, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8b51c3df, "mt792x_get_et_sset_count" },
	{ 0xa79710a6, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc2bef787, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xbeac457c, "mt792x_init_acpi_sar_power" },
	{ 0x6526f0f5, "mt792x_set_wakeup" },
	{ 0x815ad748, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x2e75cc77, "_dev_info" },
	{ 0x729dc8fe, "skb_queue_tail" },
	{ 0x68186909, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x1c165da4, "mt76_rx" },
	{ 0xb26ae73d, "mt792x_load_firmware" },
	{ 0x269e4442, "mt76_connac_mcu_sched_scan_req" },
	{ 0xda30ee77, "mt792x_get_et_stats" },
	{ 0xdb9d3f2b, "mt76_connac2_txwi_free" },
	{ 0x61c30f0f, "__tracepoint_lp_event" },
	{ 0xe0aea19e, "mt76_connac_mcu_uni_add_bss" },
	{ 0x8fdbd3fc, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x448a279b, "wiphy_to_ieee80211_hw" },
	{ 0x96937d0d, "debugfs_attr_read" },
	{ 0xe87d5251, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x376d4ab7, "ieee80211_queue_delayed_work" },
	{ 0x8b318d08, "devm_kmemdup" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x780e37f3, "skb_pull" },
	{ 0xa996dc83, "mt76_register_device" },
	{ 0x882a0c41, "mt792x_get_stats" },
	{ 0x27e27cee, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2f0a8d7a, "simple_attr_release" },
	{ 0x3349011f, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x523c3d42, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0x53cf3673, "mt76_set_channel" },
	{ 0x9e1c27ee, "ieee80211_wake_queues" },
	{ 0xc9e452b9, "mt76_mcu_send_and_get_msg" },
	{ 0xc0efe9ec, "ieee80211_beacon_get_template" },
	{ 0x4ab2c1b8, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9dd88f, "mt76_eeprom_override" },
	{ 0x6549156f, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6f6561e0, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x473072cb, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x87c44e2b, "devm_hwmon_device_register_with_groups" },
	{ 0x9e184ba9, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x512ad38d, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x50109f8, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xd811fa3f, "mt792x_tx" },
	{ 0x16decdc3, "mt792x_get_et_strings" },
	{ 0xf8303cc7, "mt76_sta_state" },
	{ 0x5cb64bca, "ieee80211_ready_on_channel" },
	{ 0x71d4f903, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5868cc8, "devm_kasprintf" },
	{ 0xd1b5b579, "cfg80211_reg_can_beacon" },
	{ 0xaf9e789, "mt792x_remove_interface" },
	{ 0xf9f78813, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf3cafef5, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x3aff1dad, "mt792x_queues_read" },
	{ 0x823997d6, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x15edb27f, "debugfs_create_file" },
	{ 0xf65beac7, "mt792x_queues_acq" },
	{ 0x7d1ef469, "ieee80211_sched_scan_results" },
	{ 0xe017ec4d, "ieee80211_scan_completed" },
	{ 0x68743db0, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xef8c2013, "mt76_insert_ccmp_hdr" },
	{ 0x31fc6416, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x78d703d3, "param_ops_bool" },
	{ 0x8aad0ea8, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xa70c6b7, "mt792x_tx_stats_show" },
	{ 0x56628c00, "mt76_rx_aggr_start" },
	{ 0x70366a7a, "__SCK__tp_func_lp_event" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x865e5b9c, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xcc293aca, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbdfea92d, "mt792x_mac_init_band" },
	{ 0x93d54e00, "mt76_skb_adjust_pad" },
	{ 0x74c267e4, "mt792x_init_wiphy" },
	{ 0xd6448c27, "seq_puts" },
	{ 0x530b76a8, "mt76_connac_sta_state_dp" },
	{ 0xc9ed3d71, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x3d34a6bd, "single_release" },
	{ 0x1ac71a33, "mt76_queues_read" },
	{ 0x74f0aaa4, "mt76_sta_pre_rcu_remove" },
	{ 0xd2a383a9, "mt76_register_debugfs_fops" },
	{ 0xad4895c9, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xc1d093e6, "mt76_connac2_mac_write_txwi" },
	{ 0xc0b5c32e, "__mt76_set_tx_blocked" },
	{ 0xd220a265, "mt76_connac_mcu_sta_ba" },
	{ 0x40ff88fe, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x40c31b01, "ieee80211_queue_work" },
	{ 0xd30b0fb8, "mt792x_mac_reset_counters" },
	{ 0x7d5a681b, "napi_consume_skb" },
	{ 0x1fd3fb7a, "__mt76_poll" },
	{ 0xb6f4e0dd, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf4ffab18, "single_open" },
	{ 0xf1ca5a7, "mt76_connac_mcu_add_key" },
	{ 0x6b69d26f, "mt792x_unassign_vif_chanctx" },
	{ 0x539b809e, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0xdcdb4eb3, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8384a2a1, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x283bdec3, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xe6446676, "ieee80211_sta_register_airtime" },
	{ 0xaab1bcfb, "mt792x_init_wcid" },
	{ 0x2d3f57df, "mt792x_init_acpi_sar" },
	{ 0xb6bc73d6, "mt76_init_sar_power" },
	{ 0x57a1b3f, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9511bd20, "simple_attr_open" },
	{ 0x27304151, "ieee80211_iterate_interfaces" },
	{ 0x849cc2b9, "debugfs_attr_write" },
	{ 0x8474181f, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x7ee6c8ad, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x8ca54680, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d95185f, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xa806f68d, "mt792x_tx_worker" },
	{ 0x3b23fc7a, "mt792x_flush" },
	{ 0x66e96a4b, "mt792x_rx_get_wcid" },
	{ 0x1696cf99, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x1b45c5b4, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf12a7d35, "mt76_connac_mcu_set_channel_domain" },
	{ 0xe8c60578, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x13b0dd7a, "mt76_release_buffered_frames" },
	{ 0x7b9dfe49, "request_firmware" },
	{ 0x3c0204a4, "mt76_get_txpower" },
	{ 0x8d88ac10, "mt76_tx_status_skb_add" },
	{ 0x296526d, "mt76_connac_pm_wake" },
	{ 0xab71e47b, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0xd8a6a2f1, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x926ec8e, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x522428a2, "mt76_connac_mcu_chip_config" },
	{ 0x883592dd, "mt76_get_antenna" },
	{ 0xc87a3884, "mt792x_set_coverage_class" },
	{ 0x15c1732c, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xb3e3ff53, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x6ee98a17, "seq_lseek" },
	{ 0x63e7370, "mt76_set_stream_caps" },
	{ 0xf6862cdf, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8ccd9704, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0xa2366c24, "mt76_connac_mcu_update_arp_filter" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "D4CEA96265480E269DD717A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
