#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x774a95be, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0xb31ea475, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x3cb12342, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x1ca6a1ee, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xd98d2f05, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xd0db8ac0, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0xe5784254, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0xa6a5684a, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xf25c894d, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x90dab274, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0xe621b6e1, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x15a70fd6, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x078a9ca3, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0xf4c3193b, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xd5f66370, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xe6528d89, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5ba0e514, "usb_control_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x737e9cf8, "usb_anchor_urb" },
	{ 0xdd882ee6, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x11638c9a, "usb_unanchor_urb" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x843c9db2, "usb_alloc_urb" },
	{ 0xde213f69, "usb_free_urb" },
	{ 0x42c6b9c2, "rt2x00lib_dmastart" },
	{ 0xb4e5a9e, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73a90f05, "__skb_pad" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc500b296, "rt2x00queue_for_each_entry" },
	{ 0x62e8830b, "usb_kill_urb" },
	{ 0x5dbc6fde, "rt2x00queue_get_entry" },
	{ 0x1bfe6984, "rt2x00queue_stop_queue" },
	{ 0xaa0e5e9a, "rt2x00queue_flush_queue" },
	{ 0x52fe1422, "rt2x00queue_start_queue" },
	{ 0x3094b8c1, "rt2x00lib_txdone_noinfo" },
	{ 0x2ba0c78, "rt2x00lib_rxdone" },
	{ 0x18429b0, "rt2x00lib_suspend" },
	{ 0xee3a8ef9, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4ea5cf3b, "rt2x00lib_remove_dev" },
	{ 0x93a6a8a3, "ieee80211_free_hw" },
	{ 0xd02d770f, "usb_put_dev" },
	{ 0x8ab401ae, "usb_get_dev" },
	{ 0xd289ecf, "usb_reset_device" },
	{ 0x452b9127, "ieee80211_alloc_hw_nm" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe5394020, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa94e3b9d, "rt2x00lib_probe_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67708E3B0DC0029635F7F52");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
