#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0x08a2a123, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0xd510bc47, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0xd45c564b, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0x4a6562c1, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0x29f51bb4, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0xf5cf82da, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0xce5f1ed6, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0x0b67ca7c, "");
SYMBOL_CRC(rtl92c_dm_init, 0x895fd8dd, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x764a2340, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0xa4213aa9, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0x2633e39b, "");
SYMBOL_CRC(rtl92c_download_fw, 0xa46cf1c3, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0x010fd0f7, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0xc615777a, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0xb017ae52, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0xcb0ef21b, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0x6f6367cb, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0x38d72b3a, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0xc5627df6, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0xf3e1a369, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0x2f715f46, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0x2d889ed6, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x55a35d1f, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0x8cefdee6, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0x832e03ad, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0x544adfb4, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0x2292ff6c, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0x5f2d8b7d, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0xbbc99e8d, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0x7c105316, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0x72bdc997, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0x843995d9, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0x5c91eca6, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0x73f31da1, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0xac903ba8, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0x10b6e803, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0xb7bc1494, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0xe06a0af3, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0xcc87d7a2, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0x15b03092, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0x38157154, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0x15d6522f, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0xf38ef6b1, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0x0f5d18b8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3631957f, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf1403f3a, "rtl_cmd_send_packet" },
	{ 0x8d4a5192, "_rtl_dbg_print_data" },
	{ 0x490638f5, "rtl_fw_page_write" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x488bbcb8, "rtl_dm_diginit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0x8ca54680, "skb_put" },
	{ 0x30b75453, "rtl_fw_block_write" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "E2786B2FCC1DF924381382A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
