#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_sdio_pm_ops, "", "");
KSYMTAB_FUNC(rtw_sdio_probe, "", "");
KSYMTAB_FUNC(rtw_sdio_remove, "", "");
KSYMTAB_FUNC(rtw_sdio_shutdown, "", "");

SYMBOL_CRC(rtw_sdio_pm_ops, 0x1e149007, "");
SYMBOL_CRC(rtw_sdio_probe, 0x99df70d1, "");
SYMBOL_CRC(rtw_sdio_remove, 0x9b6de9e2, "");
SYMBOL_CRC(rtw_sdio_shutdown, 0x13066ca2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5314ad16, "sdio_set_host_pm_flags" },
	{ 0xd8de9436, "rtw_chip_info_setup" },
	{ 0x27e6ef7e, "rtw_unregister_hw" },
	{ 0xa319a0a5, "_dev_err" },
	{ 0x738c9179, "rtw_tx_fill_tx_desc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0x9f0bca2, "rtw_core_init" },
	{ 0xe4a1812f, "sdio_readl" },
	{ 0x452b9127, "ieee80211_alloc_hw_nm" },
	{ 0xe6f35783, "rtw_tx_write_data_rsvd_page_get" },
	{ 0x73bfa569, "_dev_warn" },
	{ 0x49111708, "sdio_writel" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0x9e88233f, "rtw_rx_stats" },
	{ 0xeaf9021c, "rtw_register_hw" },
	{ 0x4587b43b, "rtw_core_deinit" },
	{ 0xfb892bf0, "rtw_ops" },
	{ 0xcd7f3eb3, "sdio_claim_irq" },
	{ 0xe47744ad, "skb_copy_header" },
	{ 0x84ce3694, "sdio_enable_func" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x8e9db2ef, "dev_kfree_skb_any_reason" },
	{ 0x25b0c687, "rtw_power_mode_change" },
	{ 0x328bd6e6, "rtw_tx_write_data_h2c_get" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x453d6ad0, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x7a124524, "ieee80211_rx_irqsafe" },
	{ 0xf9366aac, "skb_queue_head" },
	{ 0xd62bca26, "sdio_readb" },
	{ 0xddf0f49c, "sdio_writeb" },
	{ 0x9dcf3f9e, "rtw_tx_report_enqueue" },
	{ 0x7ecf817c, "sdio_release_host" },
	{ 0xfcb16e7b, "rtw_tx_queue_mapping" },
	{ 0xc3659b4b, "sdio_disable_func" },
	{ 0xc2f5b810, "sdio_set_block_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8ca54680, "skb_put" },
	{ 0xe6b99ade, "sdio_claim_host" },
	{ 0xad5c570a, "sdio_memcpy_fromio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1696cf99, "skb_dequeue" },
	{ 0x93a6a8a3, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0x34fa0d58, "sdio_memcpy_toio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x793c1177, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdcd2515f, "sdio_align_size" },
	{ 0xd156f4d9, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4cf343fd, "sdio_release_irq" },
	{ 0x729dc8fe, "skb_queue_tail" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,rtw88_core,mac80211");


MODULE_INFO(srcversion, "9EE2CDED2C84CD02953D10B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
