#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xb579adc9, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x9dc43f68, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x2a4a6429, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x7d04ffe1, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x9d40c2e7, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x59798289, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x0b7663ab, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x336c22e3, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x4612331f, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x4f44cd73, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xc207adf6, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xc0082af1, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x628458fe, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x9e278a75, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x92e1519b, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xecf75df0, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xc4c5a117, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x55d5301c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x82ac20fa, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x19b9aff9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x2ba9acc4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xad8df200, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xdee30948, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x872b707f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x597c8472, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x5593019a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x295e7e83, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x81af492f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xed546870, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x4b65a95f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x22f5c6d2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x11986e47, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x84cb1138, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x575721a0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x26dcedb6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x799a9c11, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x603291cb, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x9a2e2c1d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0xdc7adf6c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xd9cce664, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x6510b66b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x13060614, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x5082529b, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x8b4aa880, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x004de947, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0xa17d9291, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x39d6a46a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x61ed58be, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0xf671b2e5, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x7dd5bcff, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x5d601f76, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0xda799462, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x60b8aae8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0xb3d44731, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xae6b2578, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xc3a34c11, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x4e074b8a, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x3f06e133, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x638f82d9, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x6e5a96e2, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xb6cbce8a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xd55599f5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xfa9e9927, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xff8c6d99, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xe4d58448, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x3b8df7bf, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xe6dc2132, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xc00cfcb3, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xa092feac, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xebf7d857, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x38bc26c7, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x8aec0e3d, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x129be822, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x85d2d04a, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x782813cf, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x84b91c83, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xf23b844f, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x3b3ac3d9, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x7dd32f6c, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xe6597cb4, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xa864eed2, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xd9596f2e, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x0af9b526, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xd4dc99fb, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xc4e22fe5, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xa43d2528, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xc98fc423, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x890966a3, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x4c89ac58, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x49f67898, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x27644bda, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x91aa2260, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xf734abf6, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xabfed116, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x627db6e9, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xd3562fb1, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xb2f1ae41, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x94be3bdf, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x2820f31e, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x6e7e0132, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x5cf5414d, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x7525162f, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xaa904589, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0xf59f0788, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x379e7b57, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe347d03b, "kmem_cache_free" },
	{ 0xf9b9cfde, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x6f2f93d8, "xdr_stream_subsegment" },
	{ 0x905e54ef, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x53ca03a0, "nfs_fscache_open_file" },
	{ 0x44d557f8, "from_kgid" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x93660faa, "nfs_write_inode" },
	{ 0xff74d3fe, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd50f36ff, "rpc_wake_up_first" },
	{ 0x719d747c, "alloc_nfs_open_context" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc2ea5b0d, "vfs_parse_fs_param" },
	{ 0x94a7b3cb, "nfs_path" },
	{ 0x1b9bcbf8, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb8e3c407, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x271b69d5, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x253e6c01, "rpc_sleep_on_timeout" },
	{ 0x998b3d06, "list_lru_count_one" },
	{ 0xc0908dd0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x821b77a3, "rpc_call_start" },
	{ 0x6b406950, "xprt_setup_backchannel" },
	{ 0x286f7bc6, "bpf_trace_run1" },
	{ 0xacda4793, "svc_create" },
	{ 0xc321fb6e, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x70d31e, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x17efe667, "rpc_call_sync" },
	{ 0x37dddfda, "from_kuid" },
	{ 0x4a551190, "rpc_put_task_async" },
	{ 0xad71007f, "rpc_prepare_reply_pages" },
	{ 0x295adab8, "rpc_queue_upcall" },
	{ 0x27067ab0, "nfs_free_server" },
	{ 0x6abb7f52, "fc_mount" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xc7f852c8, "nfs_setattr" },
	{ 0xe1356cc0, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3c303a5f, "nfs4_fs_type" },
	{ 0x7f394a4e, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x5779daa3, "rpc_delay" },
	{ 0xd955308e, "nfs_flock" },
	{ 0xd53774a7, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdcb20eb, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2ca20cc3, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x7c265a54, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x487d4d1, "rpc_exit" },
	{ 0xec567dc9, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xf9ccb0e5, "rpc_remove_pipe_dir_object" },
	{ 0x461d5921, "nfs_may_open" },
	{ 0x450b6cfa, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x733c139d, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x64faa413, "xdr_reserve_space" },
	{ 0xac1fe5d3, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5925c4b4, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcdea0bb5, "nfs_rmdir" },
	{ 0xc4d4a565, "bpf_trace_run3" },
	{ 0xac6ca9ef, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x93c5039d, "nfs_filemap_write_and_wait_range" },
	{ 0xfb286365, "rpc_mkpipe_dentry" },
	{ 0xebcc8dbc, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0x81b9b8c6, "rpc_mkpipe_data" },
	{ 0xcdda3bd, "rpc_add_pipe_dir_object" },
	{ 0x30580b77, "igrab" },
	{ 0xa84086b1, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xce14aede, "nfs_async_iocounter_wait" },
	{ 0xe9a13346, "nfs_file_read" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x5324f365, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d25c99, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x8fdf115d, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4de85d78, "nfs_setattr_update_inode" },
	{ 0xf1ace27d, "nfs_instantiate" },
	{ 0x94c53d69, "init_user_ns" },
	{ 0x927375aa, "rpc_uaddr2sockaddr" },
	{ 0xc0404df6, "user_read" },
	{ 0x1a2fcf6, "rpc_restart_call" },
	{ 0xd8c77ecb, "request_key_tag" },
	{ 0xa4aa8589, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x2720c8a1, "alloc_pages" },
	{ 0xd43bb017, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x1dddb0c8, "svc_xprt_destroy_all" },
	{ 0xf152f479, "generic_key_instantiate" },
	{ 0xd2c4c839, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xf82ea08, "nfs_link" },
	{ 0x98b5e991, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xafb5af7c, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x442b0c2b, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x11c92e3f, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x299f9f61, "xdr_stream_move_subsegment" },
	{ 0xca2b76bf, "put_rpccred" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xe5eefea9, "nfs_post_op_update_inode_force_wcc" },
	{ 0x87803ad8, "nfs_pgheader_init" },
	{ 0xd5ccf894, "put_nfs_open_context" },
	{ 0xaf626a15, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x32834799, "nfs_show_devname" },
	{ 0x4af20b4b, "nfs_permission" },
	{ 0x569c2112, "nfs_initiate_commit" },
	{ 0x5c992647, "truncate_inode_pages_range" },
	{ 0x66ff5ad5, "__put_user_ns" },
	{ 0x4bfbbba2, "cred_fscmp" },
	{ 0x966dc31b, "rpc_unlink" },
	{ 0x5502b8a3, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xf7bc6ce6, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x86d47984, "node_data" },
	{ 0xc8a28b6, "nfs_probe_server" },
	{ 0x1a349201, "nfs_setsecurity" },
	{ 0x68c88b66, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xa6fc4543, "rpc_clnt_test_and_add_xprt" },
	{ 0xd6e5fa9e, "file_ra_state_init" },
	{ 0x21ed45f, "nfs_force_lookup_revalidate" },
	{ 0x5976c414, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2f09d481, "rpc_clnt_add_xprt" },
	{ 0x1ee9a30a, "dget_parent" },
	{ 0xefe2c0a6, "from_kuid_munged" },
	{ 0xece46ebf, "prepare_kernel_cred" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x7ca96ef3, "nfs_alloc_server" },
	{ 0xffa7aa08, "rpc_call_async" },
	{ 0xe8695e67, "security_dentry_init_security" },
	{ 0xeb5d577e, "filemap_write_and_wait_range" },
	{ 0x7f6c043d, "nfs_server_insert_lists" },
	{ 0x71cb4727, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xd33e9aff, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x60f4673c, "rpc_init_pipe_dir_object" },
	{ 0x34b616c, "bpf_trace_run7" },
	{ 0x9c4e5876, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xc2dafb82, "nfs_init_server_rpcclient" },
	{ 0x10b5f24, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc0cb6af7, "rpc_set_connect_timeout" },
	{ 0x5fe9e9a4, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0x3bf5db2d, "xdr_stream_pos" },
	{ 0xa252bffb, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x926e642d, "svc_xprt_create" },
	{ 0x84a352b7, "nfs42_ssc_register" },
	{ 0xa1f49b8, "rpc_wait_for_completion_task" },
	{ 0x82cee6b9, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd84b2524, "rpc_num_bc_slots" },
	{ 0xd7523297, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0xa1fcea34, "security_inode_listsecurity" },
	{ 0x4f08939e, "nfs_fhget" },
	{ 0x15d6127e, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe9d5208c, "locks_copy_lock" },
	{ 0x3db28951, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xc5cb54b3, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3293e0c1, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xee90584a, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xdc8abc28, "generic_copy_file_range" },
	{ 0x335e27e0, "svc_generic_rpcbind_set" },
	{ 0x2288ba48, "nfs_clone_server" },
	{ 0x4e79ea79, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x19035b2, "filemap_fdatawrite" },
	{ 0x4217e628, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x53d3fa53, "nfs_server_remove_lists" },
	{ 0x4cf791b0, "nfs42_ssc_unregister" },
	{ 0xd62e11e9, "generic_listxattr" },
	{ 0x73e5e1e2, "try_module_get" },
	{ 0xaa6f628e, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x717b1786, "nfs_writeback_update_inode" },
	{ 0xb12c0b6c, "clear_inode" },
	{ 0x64dfaea6, "inode_to_bdi" },
	{ 0xedb004a4, "bpf_trace_run4" },
	{ 0x6e9cf733, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xca5e5f3, "param_ops_uint" },
	{ 0x70d9f708, "user_revoke" },
	{ 0x98d2a342, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6322c7af, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0x1cdd0260, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc8adbb53, "rpc_clnt_probe_trunked_xprts" },
	{ 0x8d254b0, "nfs_pageio_reset_read_mds" },
	{ 0x6a08f2ce, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xee81277, "rpc_shutdown_client" },
	{ 0xc4d45796, "svc_bind" },
	{ 0xd838c174, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xfad93b55, "nfs_free_inode" },
	{ 0xc72c256a, "nfs_access_zap_cache" },
	{ 0x579034a, "nfs_sb_deactive" },
	{ 0x4eaa2279, "nfs_wb_all" },
	{ 0xf565bbae, "__break_lease" },
	{ 0x1cbe8a2a, "nfs_pageio_init_write" },
	{ 0x4a895a93, "svc_recv" },
	{ 0x9f820b43, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7ebf68eb, "xdr_inline_decode" },
	{ 0xf50b027f, "nfs_pageio_init_read" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0x6c1075e, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xd0b77e5, "nfs_init_commit" },
	{ 0xd80765fe, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x74fe487c, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1b27aee0, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x7f4efc12, "nfs_mknod" },
	{ 0xbdfade68, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe76a88d4, "nfs4_label_alloc" },
	{ 0x2be09791, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x113212db, "trace_event_printf" },
	{ 0xd13be68, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x4484ae08, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0x27bfb10d, "unregister_key_type" },
	{ 0x746dd423, "nfs_client_init_is_complete" },
	{ 0x37c7ac9c, "nfs_file_splice_read" },
	{ 0x3b452eab, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1a26fb7b, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xc6f865c0, "ihold" },
	{ 0x179725c5, "truncate_pagecache_range" },
	{ 0x63607bed, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xa5da0af4, "invalidate_inode_pages2_range" },
	{ 0xc7fe14aa, "nfs_post_op_update_inode" },
	{ 0x85d07f51, "svc_exit_thread" },
	{ 0x28808d5c, "iput" },
	{ 0xd978dc29, "xdr_set_pagelen" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xb6fad75b, "nfs_pgio_header_free" },
	{ 0x77a75725, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x29ae624c, "logfc" },
	{ 0x1bbdd723, "nfs_pgio_header_alloc" },
	{ 0x74e8ed8b, "__put_devmap_managed_page_refs" },
	{ 0x4c7608f2, "iter_file_splice_write" },
	{ 0x62268463, "rpc_pton" },
	{ 0xfd2abce0, "nfs_sb_active" },
	{ 0x72a6eae5, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x50e55e00, "rpc_wake_up_queued_task" },
	{ 0x90d8a8b2, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x918b5b43, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x91bab48, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb657f74, "_copy_from_pages" },
	{ 0xfde3ac69, "__module_get" },
	{ 0x28efbc3a, "kmem_cache_create" },
	{ 0xd58a6b1a, "rpc_task_release_transport" },
	{ 0x890c0451, "xdr_page_pos" },
	{ 0x8e38686c, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xc2670874, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x44227ced, "key_instantiate_and_link" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x127879f7, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xed8ea0c, "register_key_type" },
	{ 0x8e65edbd, "rpc_sleep_on" },
	{ 0x629d28be, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x898d0299, "nfs_pageio_resend" },
	{ 0xaa3eb3d4, "keyring_alloc" },
	{ 0x9e057d75, "vfs_setpos" },
	{ 0xed3b3f8c, "nfs_create" },
	{ 0x24c861e2, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfafc787, "__put_cred" },
	{ 0xaaa38f53, "swapcache_mapping" },
	{ 0x9890c395, "nfs_statfs" },
	{ 0xddbc009c, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x30ca4328, "rpc_max_bc_payload" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x8ad9fc3, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeef7d77b, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x3a53a0fe, "nfs_mkdir" },
	{ 0x2a7fc135, "nfs_revalidate_inode" },
	{ 0x1ee8166f, "inode_newsize_ok" },
	{ 0x281c4c08, "nfs_file_mmap" },
	{ 0x6411c05, "nfs_get_lock_context" },
	{ 0x1a51fa86, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8461ee01, "nfs_set_cache_invalid" },
	{ 0x887f7f12, "rpc_release_client" },
	{ 0xc9169dbf, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf9980ebf, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6fdf68f6, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7df2df09, "nfs_generic_pgio" },
	{ 0x964ebbe0, "make_kuid" },
	{ 0x6030b17a, "truncate_inode_pages_final" },
	{ 0x4ec5ebd0, "generic_setlease" },
	{ 0x1c9cc5a0, "xprt_destroy_backchannel" },
	{ 0xb6753319, "rpc_switch_client_transport" },
	{ 0xa9ceff57, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0x774eb17a, "nfs_scan_commit_list" },
	{ 0xd15f1f6c, "xdr_stream_decode_string_dup" },
	{ 0x62ea9285, "nfs_commit_inode" },
	{ 0x67331b0b, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xb63684e9, "unregister_shrinker" },
	{ 0x91996454, "rpc_destroy_pipe_data" },
	{ 0x7dc7e4b9, "nfs_get_client" },
	{ 0xa4f47fdb, "__free_pages" },
	{ 0x4df9fe68, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xb20ad6d3, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xa7996d94, "nfs_atomic_open" },
	{ 0x2fc521a8, "rpc_pipe_generic_upcall" },
	{ 0xb794d750, "nfs_file_fsync" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb982f9d5, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1d602274, "nfs_put_lock_context" },
	{ 0x58f74b9e, "nfs_rename" },
	{ 0x3e329f98, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3a3fb84d, "nfs_sysfs_link_rpc_client" },
	{ 0x57907f5d, "nfs_put_client" },
	{ 0xb8bff290, "nfs_show_options" },
	{ 0xe67404c6, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x55a7d193, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xf4787eb1, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x19a12f21, "get_nfs_open_context" },
	{ 0x2372f54d, "perf_trace_run_bpf_submit" },
	{ 0x64c6b1eb, "nfs_clear_verifier_delegated" },
	{ 0xe056e731, "nfs_sysfs_add_server" },
	{ 0x1d86d7fb, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1905ae48, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xe935ee60, "nfs_do_submount" },
	{ 0x97dd196f, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x654dfd39, "request_key_with_auxdata" },
	{ 0x42a2e94, "rpc_clone_client_set_auth" },
	{ 0xa0bc7116, "rpc_clone_client" },
	{ 0xc3b51711, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x7dc6577c, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x5c0bdf9b, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xef515c12, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd534a6c0, "put_fs_context" },
	{ 0x23a1b1f7, "nfs_retry_commit" },
	{ 0x54de35b8, "nfs4_dentry_operations" },
	{ 0xd60881c4, "__module_put_and_kthread_exit" },
	{ 0x31be0358, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x22912de8, "nfs_client_for_each_server" },
	{ 0x7503838e, "nfs_clear_inode" },
	{ 0x243ce36a, "rpc_sleep_on_priority" },
	{ 0x3403eff5, "nfs_invalidate_atime" },
	{ 0x4248a195, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x49658f81, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9a596b15, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc8eebba4, "nfs_pageio_reset_write_mds" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "53B9F30AA5147FA28D175A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
