#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xf24fe41a, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x59c6afc9, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x31aaf3bf, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd90554, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x23c1b879, "sk_error_report" },
	{ 0x793c1177, "skb_queue_purge_reason" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x7c214abc, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6bb48e14, "proto_unregister" },
	{ 0xf2975967, "sock_register" },
	{ 0x7ad8a366, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x168b4103, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x15dc913b, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x21d8c3f8, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x15802bd2, "sock_no_shutdown" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x2372f54d, "perf_trace_run_bpf_submit" },
	{ 0x5df61fb6, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfd17aaf1, "__SCK__tp_func_sk_data_ready" },
	{ 0xe5d03c8a, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x7dc08688, "sk_free" },
	{ 0xd2f79342, "kfree_skb_reason" },
	{ 0x8c645cd7, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9edb8ea5, "skb_push" },
	{ 0x9a7ea489, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1d31901e, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf03fb5e3, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x53a22df3, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf5b88e67, "sk_alloc" },
	{ 0xc58c64a6, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x40e06d00, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8cab291, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xc4d4a565, "bpf_trace_run3" },
	{ 0x205393bf, "skb_set_owner_w" },
	{ 0xf0b874cf, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9ab34629, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x7477aefc, "skb_recv_datagram" },
	{ 0xf20fd4f2, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x7c7cb802, "_copy_from_iter" },
	{ 0x9699b1cf, "sock_release" },
	{ 0xcb69d82f, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa640632e, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x8c91f154, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xec15d648, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x35b3ccb2, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xa78aad0e, "kmalloc_caches" },
	{ 0x2ef7c3d, "release_sock" },
	{ 0x5a7aad0d, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x50d04edd, "sock_queue_rcv_skb_reason" },
	{ 0x73a90f05, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xedb004a4, "bpf_trace_run4" },
	{ 0x40ae14ef, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x8ca54680, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c9bde5, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3fdf3542, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x2a8ddc79, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x113212db, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa7a121c7, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd074a10d, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8a9e270, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x74193deb, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfde3ac69, "__module_get" },
	{ 0xd8d86a7b, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8dfa7640, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "36E2B937314F0DA85B55EFD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
